!
!-------------------------- Default Units for Model ---------------------------!
!
!
defaults units  &
   length = mm  &
   angle = rad  &
   force = newton  &
   mass = kg  &
   time = sec
!
defaults units  &
   coordinate_system_type = cartesian  &
   orientation_type = body313
!
!------------------------ Default Attributes for Model ------------------------!
!
!
defaults attributes  &
   inheritance = bottom_up  &
   icon_visibility = on  &
   grid_visibility = off  &
   size_of_icons = 50.0  &
   spacing_for_grid = 1000.0
!
!------------------------------ Adams/View Model ------------------------------!
!
!
model create  &
   model_name = Fourbar
!
view erase
!
!--------------------------------- Materials ----------------------------------!
!
!
material create  &
   material_name = .Fourbar.steel  &
   adams_id = 1  &
   youngs_modulus = 2.07E+005  &
   poissons_ratio = 0.29  &
   density = 7.801E-006
!
!-------------------------------- Rigid Parts ---------------------------------!
!
! Create parts and their dependent markers and graphics
!
!----------------------------------- ground -----------------------------------!
!
!
! ****** Ground Part ******
!
defaults model  &
   part_name = ground
!
defaults coordinate_system  &
   default_coordinate_system = .Fourbar.ground
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .Fourbar.ground.MARKER_O  &
   adams_id = 1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
marker create  &
   marker_name = .Fourbar.ground.MARKER_A  &
   adams_id = 2  &
   location = -60.0, 80.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
marker create  &
   marker_name = .Fourbar.ground.MARKER_B  &
   adams_id = 3  &
   location = 180.0, 180.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
marker create  &
   marker_name = .Fourbar.ground.MARKER_C  &
   adams_id = 4  &
   location = 180.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
marker create  &
   marker_name = .Fourbar.ground.MARKER_12  &
   adams_id = 12  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
marker create  &
   marker_name = .Fourbar.ground.MARKER_18  &
   adams_id = 18  &
   location = 180.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
part create rigid_body mass_properties  &
   part_name = .Fourbar.ground  &
   material_type = .Fourbar.steel
!
part attributes  &
   part_name = .Fourbar.ground  &
   name_visibility = off
!
!----------------------------------- LinkOA -----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .Fourbar.ground
!
part create rigid_body name_and_position  &
   part_name = .Fourbar.LinkOA  &
   adams_id = 2  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
defaults coordinate_system  &
   default_coordinate_system = .Fourbar.LinkOA
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .Fourbar.LinkOA.MARKER_5  &
   adams_id = 5  &
   location = 0.0, 0.0, 0.0  &
   orientation = 2.2142974356, 0.0, 0.0
!
marker create  &
   marker_name = .Fourbar.LinkOA.MARKER_6  &
   adams_id = 6  &
   location = -60.0, 80.0, 0.0  &
   orientation = 2.2142974356, 0.0, 0.0
!
marker create  &
   marker_name = .Fourbar.LinkOA.cm  &
   adams_id = 19  &
   location = -30.0, 40.0, 0.0  &
   orientation = 3.7850937624, 1.5707963266, 1.570796325
!
marker create  &
   marker_name = .Fourbar.LinkOA.MARKER_11  &
   adams_id = 11  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
marker create  &
   marker_name = .Fourbar.LinkOA.MARKER_14  &
   adams_id = 14  &
   location = -60.0, 80.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
part create rigid_body mass_properties  &
   part_name = .Fourbar.LinkOA  &
   material_type = .Fourbar.steel
!
! ****** Graphics for current part ******
!
geometry create shape link  &
   link_name = .Fourbar.LinkOA.LINK_1  &
   i_marker = .Fourbar.LinkOA.MARKER_5  &
   j_marker = .Fourbar.LinkOA.MARKER_6  &
   width = 10.0  &
   depth = 5.0
!
part attributes  &
   part_name = .Fourbar.LinkOA  &
   color = RED  &
   name_visibility = off
!
!----------------------------------- LinkAB -----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .Fourbar.ground
!
part create rigid_body name_and_position  &
   part_name = .Fourbar.LinkAB  &
   adams_id = 3  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
defaults coordinate_system  &
   default_coordinate_system = .Fourbar.LinkAB
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .Fourbar.LinkAB.MARKER_7  &
   adams_id = 7  &
   location = -60.0, 80.0, 0.0  &
   orientation = 0.3947911197, 0.0, 0.0
!
marker create  &
   marker_name = .Fourbar.LinkAB.MARKER_8  &
   adams_id = 8  &
   location = 180.0, 180.0, 0.0  &
   orientation = 0.3947911197, 0.0, 0.0
!
marker create  &
   marker_name = .Fourbar.LinkAB.cm  &
   adams_id = 20  &
   location = 60.0, 130.0, 0.0  &
   orientation = 5.1071801001, 1.5707963272, 1.570796331
!
marker create  &
   marker_name = .Fourbar.LinkAB.MARKER_13  &
   adams_id = 13  &
   location = -60.0, 80.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
marker create  &
   marker_name = .Fourbar.LinkAB.MARKER_15  &
   adams_id = 15  &
   location = 180.0, 180.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
part create rigid_body mass_properties  &
   part_name = .Fourbar.LinkAB  &
   material_type = .Fourbar.steel
!
! ****** Graphics for current part ******
!
geometry create shape link  &
   link_name = .Fourbar.LinkAB.LINK_2  &
   i_marker = .Fourbar.LinkAB.MARKER_7  &
   j_marker = .Fourbar.LinkAB.MARKER_8  &
   width = 26.0  &
   depth = 13.0
!
part attributes  &
   part_name = .Fourbar.LinkAB  &
   color = GREEN  &
   name_visibility = off
!
!---------------------------------- lLinkBC -----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .Fourbar.ground
!
part create rigid_body name_and_position  &
   part_name = .Fourbar.lLinkBC  &
   adams_id = 4  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
defaults coordinate_system  &
   default_coordinate_system = .Fourbar.lLinkBC
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .Fourbar.lLinkBC.MARKER_9  &
   adams_id = 9  &
   location = 180.0, 0.0, 0.0  &
   orientation = 1.5707963268, 0.0, 0.0
!
marker create  &
   marker_name = .Fourbar.lLinkBC.MARKER_10  &
   adams_id = 10  &
   location = 180.0, 180.0, 0.0  &
   orientation = 1.5707963268, 0.0, 0.0
!
marker create  &
   marker_name = .Fourbar.lLinkBC.cm  &
   adams_id = 21  &
   location = 180.0, 90.0, 0.0  &
   orientation = 3.1415926536, 1.5707963268, 1.5707963268
!
marker create  &
   marker_name = .Fourbar.lLinkBC.MARKER_16  &
   adams_id = 16  &
   location = 180.0, 180.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
marker create  &
   marker_name = .Fourbar.lLinkBC.MARKER_17  &
   adams_id = 17  &
   location = 180.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
part create rigid_body mass_properties  &
   part_name = .Fourbar.lLinkBC  &
   material_type = .Fourbar.steel
!
! ****** Graphics for current part ******
!
geometry create shape link  &
   link_name = .Fourbar.lLinkBC.LINK_3  &
   i_marker = .Fourbar.lLinkBC.MARKER_9  &
   j_marker = .Fourbar.lLinkBC.MARKER_10  &
   width = 18.0  &
   depth = 9.0
!
part attributes  &
   part_name = .Fourbar.lLinkBC  &
   color = MAIZE  &
   name_visibility = off
!
!----------------------------------- Joints -----------------------------------!
!
!
constraint create joint revolute  &
   joint_name = .Fourbar.JOINT_1  &
   adams_id = 1  &
   i_marker_name = .Fourbar.LinkOA.MARKER_11  &
   j_marker_name = .Fourbar.ground.MARKER_12
!
constraint attributes  &
   constraint_name = .Fourbar.JOINT_1  &
   name_visibility = off
!
constraint create joint revolute  &
   joint_name = .Fourbar.JOINT_2  &
   adams_id = 2  &
   i_marker_name = .Fourbar.LinkAB.MARKER_13  &
   j_marker_name = .Fourbar.LinkOA.MARKER_14
!
constraint attributes  &
   constraint_name = .Fourbar.JOINT_2  &
   name_visibility = off
!
constraint create joint revolute  &
   joint_name = .Fourbar.JOINT_3  &
   adams_id = 3  &
   i_marker_name = .Fourbar.LinkAB.MARKER_15  &
   j_marker_name = .Fourbar.lLinkBC.MARKER_16
!
constraint attributes  &
   constraint_name = .Fourbar.JOINT_3  &
   name_visibility = off
!
constraint create joint revolute  &
   joint_name = .Fourbar.JOINT_4  &
   adams_id = 4  &
   i_marker_name = .Fourbar.lLinkBC.MARKER_17  &
   j_marker_name = .Fourbar.ground.MARKER_18
!
constraint attributes  &
   constraint_name = .Fourbar.JOINT_4  &
   name_visibility = off
!
!----------------------------------- Forces -----------------------------------!
!
!
!----------------------------- Simulation Scripts -----------------------------!
!
!
simulation script create  &
   sim_script_name = .Fourbar.Last_Sim  &
   commands =   &
              "simulation single_run transient type=auto_select initial_static=no end_time=10.0 step_size=0.1 model_name=.Fourbar"
!
!---------------------------------- Motions -----------------------------------!
!
!
constraint create motion_generator  &
   motion_name = .Fourbar.MOTION_1  &
   adams_id = 1  &
   type_of_freedom = rotational  &
   joint_name = .Fourbar.JOINT_1  &
   function = ""
!
constraint attributes  &
   constraint_name = .Fourbar.MOTION_1  &
   name_visibility = off
!
!---------------------------------- Accgrav -----------------------------------!
!
!
force create body gravitational  &
   gravity_field_name = gravity  &
   x_component_gravity = 0.0  &
   y_component_gravity = -9806.65  &
   z_component_gravity = 0.0
!
!----------------------------- Analysis settings ------------------------------!
!
!
!---------------------------- Function definitions ----------------------------!
!
!
constraint modify motion_generator  &
   motion_name = .Fourbar.MOTION_1  &
   function = "1.0 * time"
!
!--------------------------- Expression definitions ---------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ground
!
geometry modify shape link  &
   link_name = .Fourbar.LinkOA.LINK_1  &
   width = (10.0mm)  &
   depth = (5.0mm)
!
geometry modify shape link  &
   link_name = .Fourbar.LinkAB.LINK_2  &
   width = (26.0mm)  &
   depth = (13.0mm)
!
geometry modify shape link  &
   link_name = .Fourbar.lLinkBC.LINK_3  &
   width = (18.0mm)  &
   depth = (9.0mm)
!
material modify  &
   material_name = .Fourbar.steel  &
   youngs_modulus = (2.07E+011(Newton/meter**2))  &
   density = (7801.0(kg/meter**3))
!
model display  &
   model_name = Fourbar
