!
interface dialog_box create  &
   dialog_box_name = .gui.stamping2_dbox  &
   help_text =   &
               "Choose which type of Simulation to run.  Click help for additional information."  &
   location = 975.0, 247.0  &
   height = 215.0  &
   width = 280.0  &
   units = pixel  &
   horiz_resizing = scale_all  &
   vert_resizing = scale_all  &
   title = "Stamper_Simulate"  &
   iconifiable = no  &
   execution_commands = "info empty",  &
                        "var set var = .mdi.errno int=0",  &
                        "if condition = ($radio_1 == 2)",  &
                        "  simulation single_run set update=$update_sin",  &
                        "  simulation single reset",  &
                        "  if condition = ($option_oss == .02)",  &
                        "      simulation single trans &",  &
                        "         type             = auto_select   &",  &
                        "         initial_static   = no    &",  &
                        "         end_time        = 4.0         &",  &
                        "         step_size = $option_oss",  &
                        "      simulation single reset",  &
                        "  else",  &
                        "      simulation single trans &",  &
                        "         type             = auto_select   &",  &
                        "         initial_static   = no    &",  &
                        "         end_time        = 0.5         &",  &
                        "         step_size = $option_oss",  &
                        "      simulation single reset",  &
                        "  end",  &
                        "!    var set var=max_pen real=(eval(MIN( {.stamp.Last_Run.stamp_height.q} )))",  &
                        "!    var set var=mod_max_pen real=(eval(-1*NINT(.stamp.max_pen*100)/100))",  &
                        "!    var set var=stamp_message string=(\"Your simulation has been successful.  Maximum Penetration = \"//.stamp.mod_max_pen.real_value)",  &
                        "!    var set var=stamp_temp_var int = (eval(alert(\"Info\",stamp_message,\"OK\",\"\",\"\",1)))",  &
                        "!",  &
                        "!    var del var=stamp_message",  &
                        "!    var del var=mod_max_pen",  &
                        "!    var del var=max_pen",  &
                        "!    var del var=stamp_temp_var",  &
                        "   mdi gui_utl_check_sim subject=\"Single\"",  &
                        "end",  &
                        "!",  &
                        "if condition = ($radio_1 == 3)",  &
                        "  simulation single_run set update=$update_des",  &
                        "  simulation multi_run set  show_summary = yes chart_variables=no chart_objectives=yes",  &
                        "  variable modify variable=.stamp.control_link_length range=$low_limit,$upp_limit",  &
                        "  simulation multi_run design_study &",  &
                        "      sim_script_name=.stamp.stamp_single &",  &
                        "      model_name=.stamp   &",  &
                        "      variable_name=.stamp.control_link_length &",  &
                        "      measure_name=.stamp.stamp_height &",  &
                        "      output_characteristic=minimum &",  &
                        "      number_of_levels=$runs",  &
                        "   mdi gui_utl_check_sim subject=\"Design Study\"",  &
                        "end",  &
                        "!",  &
                        "if condition = ($radio_1 == 4)",  &
                        "  simulation single_run set update=$update_opt",  &
                        "!",  &
                        "  simulation multi_run set show_summary = no chart_variables=yes chart_objectives=no  &",  &
                        "  opt_differencing_technique = centered_difference &",  &
                        "  opt_scaled_perturbation    = 1.0E-03   &",  &
                        "  opt_algorithm              = optdes_sqp   &",  &
                        "  opt_rescale_iterations     = -1   &",  &
                        "  opt_maximum_iterations     = 100  &",  &
                        "  opt_convergence_tolerance  = 1.0E-03 &",  &
                        "  opt_debug                  = off",  &
                        "!",  &
                        "  variable modify variable=.stamp.control_link_length range=229.0,279.0",  &
                        "  variable modify variable=.stamp.desired_penetration real=$des_pen",  &
                        "  simulation multi_run optimization &",  &
                        "      sim_script_name=.stamp.stamp_opt &",  &
                        "      model_name=.stamp   &",  &
                        "      variable_name=.stamp.control_link_length &",  &
                        "      objective_name=.stamp.desired_stamp_height_error_objective &",  &
                        "      characteristic=minimize ",  &
                        "",  &
                        "  interface field set field_name=.gui. stamping1_dbox.field_link_length &",  &
                        "  database=\".stamp.control_link_length\"",  &
                        "  mdi gui_utl_check_sim subject=\"Optimization\"",  &
                        "end",  &
                        "!",  &
                        "  model display view=all",  &
                        "  view manage restore view=all"  &
   decorate = yes  &
   resizable = yes  &
   grab_all_input = no
!
interface push_button create  &
   push_button_name = .gui.stamping2_dbox.button_1  &
   location = 200.0, 186.0  &
   height = 25.0  &
   width = 76.0  &
   units = pixel  &
   horiz_resizing = attach_right  &
   vert_resizing = attach_bottom  &
   label = "Help"  &
   commands = "info empty",  &
              "",  &
              "if cond=($radio_1 == 2)",  &
              "",  &
              "  info_window read file_name = \"./text_files/d_simulate_single.txt\"",  &
              "",  &
              "elseif cond=($radio_1 == 3)",  &
              "",  &
              "  info_window read file_name = \"./text_files/d_design_study.txt\"",  &
              "",  &
              "else",  &
              "",  &
              "  info_window read file_name = \"./text_files/d_optimization.txt\"",  &
              "",  &
              "end"
!
interface push_button create  &
   push_button_name = .gui.stamping2_dbox.button_2  &
   location = 122.0, 186.0  &
   height = 25.0  &
   width = 76.0  &
   units = pixel  &
   horiz_resizing = attach_right  &
   vert_resizing = attach_bottom  &
   label = "Close"  &
   commands = "interface dialog undisplay dialog=$_parent"
!
interface label create  &
   label_name = .gui.stamping2_dbox.label_1  &
   location = 4.0, 4.0  &
   height = 30.0  &
   width = 163.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = center  &
   text = "Step 2:  Simulate the Model"
!
interface container create  &
   container_name = .gui.stamping2_dbox.stamp_sim_cont_des  &
   location = 4.0, 67.0  &
   height = 117.0  &
   width = 272.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top
!
interface container undisplay  &
   container_name = .gui.stamping2_dbox.stamp_sim_cont_des
!
interface label create  &
   label_name = .gui.stamping2_dbox.stamp_sim_cont_des.label_4  &
   location = 4.0, 87.0  &
   height = 26.0  &
   width = 93.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Model Update:"
!
interface option_menu create  &
   option_menu_name = .gui.stamping2_dbox.stamp_sim_cont_des.update_des  &
   location = 99.0, 87.0  &
   height = 26.0  &
   width = 159.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   choices = "At Every Output Step", "Never"  &
   current_choice = "Never"  &
   values = "output_step", "none"
!
interface label create  &
   label_name = .gui.stamping2_dbox.stamp_sim_cont_des.label_1  &
   location = 4.0, 4.0  &
   height = 27.0  &
   width = 85.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = center  &
   text = "Lower Limit"
!
interface label create  &
   label_name = .gui.stamping2_dbox.stamp_sim_cont_des.label_1_2  &
   location = 96.0, 4.0  &
   height = 27.0  &
   width = 85.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = center  &
   text = "Upper Limit"
!
interface label create  &
   label_name = .gui.stamping2_dbox.stamp_sim_cont_des.label_1_3  &
   location = 186.0, 4.0  &
   height = 27.0  &
   width = 77.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = center  &
   text = "Runs"
!
interface field create  &
   field_name = .gui.stamping2_dbox.stamp_sim_cont_des.low_limit  &
   location = 4.0, 36.0  &
   height = 27.0  &
   width = 85.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   preload_strings = "239.0"  &
   required = no  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = none
!
interface field create  &
   field_name = .gui.stamping2_dbox.stamp_sim_cont_des.upp_limit  &
   location = 96.0, 36.0  &
   height = 27.0  &
   width = 85.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   preload_strings = "269.0"  &
   required = no  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = none
!
interface field create  &
   field_name = .gui.stamping2_dbox.stamp_sim_cont_des.runs  &
   location = 186.0, 36.0  &
   height = 27.0  &
   width = 77.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   preload_strings = "5"  &
   required = no  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   numeric_type = integer  &
   upper_check = none  &
   lower_check = none
!
interface push_button create  &
   push_button_name = .gui.stamping2_dbox.button_3  &
   location = 44.0, 186.0  &
   height = 25.0  &
   width = 76.0  &
   units = pixel  &
   horiz_resizing = attach_right  &
   vert_resizing = attach_bottom  &
   label = "Apply"  &
   commands = "interface dialog execute dialog=$_parent undisp=no"
!
interface radio_box create  &
   radio_box_name = .gui.stamping2_dbox.radio_1  &
   location = 4.0, 36.0  &
   height = 29.0  &
   width = 272.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   choices = "Single", "Design Study", "Optimization"  &
   current_choice = "Single"  &
   values = "2", "3", "4"  &
   commands = "if cond=( $radio_1 == 2 )",  &
              "   interface container undisplay container=$_parent.\"stamp_sim_cont_*\"",  &
              "   interface container display container=$_parent.stamp_sim_cont_sin",  &
              "elseif cond=($radio_1 == 3 )",  &
              "   interface container undisplay container=$_parent.\"stamp_sim_cont_*\"",  &
              "   interface container display container=$_parent.stamp_sim_cont_des",  &
              "elseif cond=( $radio_1 == 4 )",  &
              "  interface container undisplay container=$_parent.\"stamp_sim_cont_*\"",  &
              "  interface container display container=$_parent.stamp_sim_cont_opt"
!
interface container create  &
   container_name = .gui.stamping2_dbox.stamp_sim_cont_opt  &
   help_text =   &
               "Choose which type of Simulation to run.  Click help for additional information."  &
   location = 4.0, 67.0  &
   height = 117.0  &
   width = 272.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top
!
interface container undisplay  &
   container_name = .gui.stamping2_dbox.stamp_sim_cont_opt
!
interface label create  &
   label_name = .gui.stamping2_dbox.stamp_sim_cont_opt.label_4  &
   location = 4.0, 87.0  &
   height = 26.0  &
   width = 93.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Model Update:"
!
interface option_menu create  &
   option_menu_name = .gui.stamping2_dbox.stamp_sim_cont_opt.update_opt  &
   location = 99.0, 87.0  &
   height = 26.0  &
   width = 159.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   choices = "At Every Output Step", "Never"  &
   current_choice = "Never"  &
   values = "output_step", "none"
!
interface label create  &
   label_name = .gui.stamping2_dbox.stamp_sim_cont_opt.label_1  &
   location = 4.0, 4.0  &
   height = 27.0  &
   width = 264.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = center  &
   text = "Desired Penetration"
!
interface field create  &
   field_name = .gui.stamping2_dbox.stamp_sim_cont_opt.des_pen  &
   location = 96.0, 36.0  &
   height = 27.0  &
   width = 85.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   preload_strings = "6.0"  &
   required = no  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = gt  &
   lower_limit = 0.0
!
interface container create  &
   container_name = .gui.stamping2_dbox.stamp_sim_cont_sin  &
   help_text =   &
               "Choose which type of Simulation to run.  Click help for additional information."  &
   location = 4.0, 67.0  &
   height = 117.0  &
   width = 272.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top
!
interface label create  &
   label_name = .gui.stamping2_dbox.stamp_sim_cont_sin.label_4  &
   location = 4.0, 87.0  &
   height = 26.0  &
   width = 93.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Model Update:"
!
interface option_menu create  &
   option_menu_name = .gui.stamping2_dbox.stamp_sim_cont_sin.update_sin  &
   location = 99.0, 87.0  &
   height = 26.0  &
   width = 159.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   choices = "At Every Output Step", "Never"  &
   current_choice = "Never"  &
   values = "output_step", "none"
!
interface label create  &
   label_name = .gui.stamping2_dbox.stamp_sim_cont_sin.label_4_2  &
   location = 4.0, 59.0  &
   height = 26.0  &
   width = 105.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Output Step Size:"
!
interface option_menu create  &
   option_menu_name = .gui.stamping2_dbox.stamp_sim_cont_sin.option_oss  &
   location = 111.0, 59.0  &
   height = 26.0  &
   width = 147.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   choices = "Large", "Small"  &
   current_choice = "Large"  &
   values = ".02", ".002"
