!USER_ENTERED_COMMAND mdi gui_utl_check_sim
!WRAP_IN_UNDO NO
!
! *** %W% %G%
!
! BEGIN_MACRO $_self
!
!-----------------------------------------------------------------------
!
!$alert_done:T=list(yes,no):C=1:D=yes
!$alert_stop:T=list(yes,no):C=1:D=yes
!$alert_fail:T=list(yes,no):C=1:D=yes
!$subject:T=string:C=1:D="Simulation"
!END_OF_PARAMETERS
! Purpose:
!   Check return status from sim command and display appropritate alert.
!
!   alert_done=yes displays alert on normal exit
!   alert_stop=yes displays alert on user abort
!   alert_fail=yes displays alert on error
!
!
! Notes:
!
!-----------------------------------------------------------------------
!
if cond = ("$subject" == "Single")
  if cond = (.mdi.errno == 0 && $alert_done)
    var set var=max_pen real=(eval(MIN( {.stamp.Last_Run.stamp_height.q} )))
    var set var=mod_max_pen real=(eval(-1*NINT(.stamp.max_pen*100)/100))
    var set var=stamp_message string=("Your simulation has been successful.  Maximum Penetration = "//.stamp.mod_max_pen.real_value)
    var set var=stamp_temp_var int = (eval(alert("Info",stamp_message,"OK","","",1)))
!
    var del var=stamp_message
    var del var=mod_max_pen
    var del var=max_pen
    var del var=stamp_temp_var
!
  elseif cond = (.mdi.errno == 3 && $alert_stop)
     mdi gui_utl_alert_box_1 type = "Warning"     text = (eval("$subject"//" operation was interrupted."))
  elseif cond = (.mdi.errno == 5 && $alert_fail)
     mdi gui_utl_alert_box_1 type = "Error"       text = (eval("$subject"//" operation failed."))
  end
end
!
if cond = ("$subject" == "Design Study")
  if cond = (.mdi.errno == 0 && $alert_done)
     mdi gui_utl_alert_box_1 type = "Information"     text = (eval("$subject"//" operation was successful."))
  elseif cond = (.mdi.errno == 3 && $alert_stop)
     mdi gui_utl_alert_box_1 type = "Warning"     text = (eval("$subject"//" operation was interrupted."))
  elseif cond = (.mdi.errno == 5 && $alert_fail)
     mdi gui_utl_alert_box_1 type = "Error"       text = (eval("$subject"//" operation failed."))
  end
end
!
if cond = ("$subject" == "Optimization")
  if cond = (.mdi.errno == 0 && $alert_done)
    var set var=max_pen real=(eval(MIN( {.stamp.Last_Run.stamp_height.q} )))
    var set var=mod_max_pen real=(eval(-1*NINT(.stamp.max_pen*100)/100))
    var set var=mod_control_link_length real=(eval(NINT(.stamp.control_link_length*100)/100))
    var set var=stamp_message string=("Your optimization has been successful.  Control Link Length = "//.stamp.mod_control_link_length.real_value//" Maximum Penetration = "//.stamp.mod_max_pen.real_value)
    var set var=stamp_temp_var int = (eval(alert("Info",stamp_message,"OK","","",1)))
!
    var del var=stamp_message
    var del var=mod_max_pen
    var del var=max_pen
    var del var=mod_control_link_length
    var del var=stamp_temp_var
!
  elseif cond = (.mdi.errno == 3 && $alert_stop)
     mdi gui_utl_alert_box_1 type = "Warning"     text = (eval("$subject"//" operation was interrupted."))
  elseif cond = (.mdi.errno == 5 && $alert_fail)
     mdi gui_utl_alert_box_1 type = "Error"       text = (eval("$subject"//" operation failed."))
  end
end
!
! END_MACRO $_self
