!
!-------------------------- Default Units for Model ---------------------------!
!
!
defaults units  &
   length = mm  &
   angle = deg  &
   force = newton  &
   mass = kg  &
   time = sec
!
defaults units  &
   coordinate_system_type = cartesian  &
   orientation_type = body313
!
!------------------------ Default Attributes for Model ------------------------!
!
!
defaults attributes  &
   inheritance = bottom_up  &
   icon_visibility = on  &
   grid_visibility = off  &
   size_of_icons = 25.4  &
   spacing_for_grid = 25.4
!
!------------------------------ Adams/View Model ------------------------------!
!
!
model create  &
   model_name = stamp
!
!----------------------------------- Notes ------------------------------------!
!
!
notes create  &
   note_name = .stamp.parcels_note  &
   text = "Parcels"  &
   location = -203.2, 31.75, 0.0  &
   size = 25.4  &
   bitmapped_text = off  &
   leader_line = -139.7, -12.7, 0.0, -114.3, -101.6, 0.0  &
   arrow_visibility = on  &
   arrow_size = 2.0E-02
!
notes create  &
   note_name = .stamp.stamp_mechanism  &
   text = "Stamping Mechanism"  &
   location = -38.1, 558.8, 0.0  &
   size = 38.1  &
   bitmapped_text = off  &
   leader_line = 342.9, 482.6, 0.0, 457.2, 355.6, 0.0  &
   arrow_visibility = on  &
   arrow_size = 2.0E-02
!
notes create  &
   note_name = .stamp.ink_pad  &
   text = "Inking Pad"  &
   location = 793.31312, 62.2808, 0.0  &
   size = 25.4  &
   bitmapped_text = off  &
   leader_line = 863.6, 12.7, 0.0, 787.4, -38.1, 0.0, 698.5, -38.1, 0.0  &
   arrow_visibility = on  &
   arrow_size = 2.0E-02
!
notes create  &
   note_name = .stamp.conveyor  &
   text = "Conveyor"  &
   location = 984.0322305041, -314.8109563204, 0.0  &
   size = 25.4  &
   bitmapped_text = off  &
   leader_line = 971.3322305041, -327.5109563204, 0.0, 844.3322305041,  &
                 -327.5109563204, 0.0, 882.4322305041, -225.9109563204, 0.0  &
   arrow_visibility = on  &
   arrow_size = 2.0E-02
!
notes create  &
   note_name = .stamp.dummy1  &
   text = ""  &
   location = -254.0, 12.7, 0.0  &
   size = 60.2638157561  &
   bitmapped_text = off  &
   leader_line = -165.1, -12.7, 0.0, -266.7, -101.6, 0.0  &
   arrow_visibility = on  &
   arrow_size = 2.0E-02
!
notes create  &
   note_name = .stamp.dummy2  &
   text = ""  &
   location = -114.3, -12.7, 0.0  &
   size = 60.2638157561  &
   bitmapped_text = off  &
   leader_line = -114.3, -12.7, 0.0, 63.5, -101.6, 0.0  &
   arrow_visibility = on  &
   arrow_size = 2.0E-02
!
notes create  &
   note_name = .stamp.control_link  &
   text = "Control Link"  &
   location = -127.0, 279.4, 0.0  &
   size = 25.4  &
   bitmapped_text = off  &
   leader_line = 25.4, 241.3, 0.0, 101.6, 203.2, 0.0, 330.2, 203.2, 0.0  &
   arrow_visibility = on  &
   arrow_size = 2.0E-02
!
model display  &
   model_name = stamp
!
!-------------------------------- Rigid Parts ---------------------------------!
!
! Create parts and their dependent markers and graphics
!
!----------------------------------- ground -----------------------------------!
!
!
! ****** Ground Part ******
!
defaults model  &
   part_name = ground
!
defaults coordinate_system  &
   default_coordinate_system = .stamp.ground
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .stamp.ground.MAR1  &
   adams_id = 1  &
   location = 355.6, 152.4, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.ground.MAR1  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.ground.MAR2  &
   adams_id = 2  &
   location = 584.2, 152.4, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.ground.MAR2  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.ground.MAR3  &
   adams_id = 3  &
   location = 203.2, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.ground.MAR3  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.ground.MAR4  &
   adams_id = 4  &
   location = 609.6, 406.4, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.ground.MAR4  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.ground.MAR6  &
   adams_id = 6  &
   location = 508.0, 50.8, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.ground.MAR6  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.ground.input_j  &
   adams_id = 7  &
   location = 355.6, 152.4, 0.0  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.ground.input_j  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.ground.lower_left_j  &
   adams_id = 8  &
   location = 203.2, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.ground.lower_left_j  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.ground.right_to_ground_j  &
   adams_id = 9  &
   location = 584.2, 152.4, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.ground.right_to_ground_j  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.ground.MAR37  &
   adams_id = 37  &
   location = 660.4, -12.7, 25.4  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.ground.MAR37  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.ground.MAR38  &
   adams_id = 38  &
   location = -609.6, -203.2, -127.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.ground.MAR38  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.ground.MAR46  &
   adams_id = 46  &
   location = -584.2, -177.8, 76.2  &
   orientation = 90.0d, 90.0d, 270.0d
!
marker attributes  &
   marker_name = .stamp.ground.MAR46  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.ground.MAR49  &
   adams_id = 49  &
   location = -584.2, -127.0, 76.2  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.ground.MAR49  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.ground.GCS  &
   adams_id = 50  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.ground.GCS  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.ground.control_link_tip_cs  &
   adams_id = 51  &
   location = 355.6, 254.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.ground.control_link_tip_cs  &
   color = RED  &
   visibility = off
!
marker create  &
   marker_name = .stamp.ground.base_cs  &
   adams_id = 52  &
   location = 355.6, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.ground.base_cs  &
   color = GREEN  &
   visibility = off
!
! ****** Points for current part ******
!
point create  &
   point_name = .stamp.ground.control_link_tip  &
   location = 355.6, 254.0, 0.0
!
point attributes  &
   point_name = .stamp.ground.control_link_tip  &
   color = GREEN  &
   visibility = on
!
point create  &
   point_name = .stamp.ground.Base  &
   location = 355.6, 152.4, 0.0
!
point attributes  &
   point_name = .stamp.ground.Base  &
   color = MAIZE  &
   visibility = off
!
point create  &
   point_name = .stamp.ground.POINT  &
   location = 558.8, 228.6, 0.0
!
point attributes  &
   point_name = .stamp.ground.POINT  &
   color = CYAN  &
   visibility = off
!
point create  &
   point_name = .stamp.ground.POINT_2  &
   location = 609.6, 406.4, 0.0
!
point attributes  &
   point_name = .stamp.ground.POINT_2  &
   color = MAGENTA  &
   visibility = off
!
point create  &
   point_name = .stamp.ground.POINT_3  &
   location = 584.2, 152.4, 0.0
!
point attributes  &
   point_name = .stamp.ground.POINT_3  &
   color = RED  &
   visibility = off
!
point create  &
   point_name = .stamp.ground.POINT_4  &
   location = 203.2, 0.0, 0.0
!
point attributes  &
   point_name = .stamp.ground.POINT_4  &
   color = GREEN  &
   visibility = off
!
point create  &
   point_name = .stamp.ground.POINT_5  &
   location = 508.0, 50.8, 0.0
!
point attributes  &
   point_name = .stamp.ground.POINT_5  &
   color = MAIZE  &
   visibility = off
!
! ****** Graphics for current part ******
!
geometry create shape block  &
   block_name = .stamp.ground.BOX7  &
   adams_id = 7  &
   corner_marker = .stamp.ground.MAR37  &
   diag_corner_coords = 25.4, -50.8000000152, -50.8
!
geometry attributes  &
   geometry_name = .stamp.ground.BOX7  &
   color = MAGENTA
!
geometry create shape block  &
   block_name = .stamp.ground.BOX8  &
   adams_id = 8  &
   corner_marker = .stamp.ground.MAR38  &
   diag_corner_coords = 2008.793858546, 25.4000603936, 253.9999976835
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL92  &
   location = 317.5, 152.4, 0.0  &
      , 393.7, 152.4, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL92_2  &
   location = 317.5, 139.7, 0.0  &
      , 330.2, 152.4, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL92_3  &
   location = 330.2, 139.7, 0.0  &
      , 342.9, 152.4, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL93  &
   location = 342.9, 139.7, 0.0  &
      , 355.6, 152.4, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL94  &
   location = 355.6, 139.7, 0.0  &
      , 368.3, 152.4, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL95  &
   location = 368.3, 139.7, 0.0  &
      , 381.0, 152.4, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL96  &
   location = 165.1, 0.0, 0.0  &
      , 241.3, 0.0, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL98  &
   location = 165.1, -12.7, 0.0  &
      , 177.8, 0.0, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL100  &
   location = 177.8, -12.7, 0.0  &
      , 190.5, 0.0, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL101  &
   location = 190.5, -12.7, 0.0  &
      , 203.2, 0.0, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL102  &
   location = 203.2, -12.7, 0.0  &
      , 215.9, 0.0, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL103  &
   location = 215.9, -12.7, 0.0  &
      , 228.6, 0.0, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL104  &
   location = 165.1, -203.2, 0.0  &
      , 241.3, -203.2, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL105  &
   location = 165.1, -215.9, 0.0  &
      , 177.8, -203.2, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL106  &
   location = 177.8, -215.9, 0.0  &
      , 190.5, -203.2, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL107  &
   location = 190.5, -215.9, 0.0  &
      , 203.2, -203.2, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL108  &
   location = 203.2, -215.9, 0.0  &
      , 215.9, -203.2, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL109  &
   location = 215.9, -215.9, 0.0  &
      , 228.6, -203.2, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL110  &
   location = -279.4, -203.2, 0.0  &
      , -203.2, -203.2, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL111  &
   location = -279.4, -215.9, 0.0  &
      , -266.7, -203.2, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL112  &
   location = -266.7, -215.9, 0.0  &
      , -254.0, -203.2, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL113  &
   location = -254.0, -215.9, 0.0  &
      , -241.3, -203.2, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL114  &
   location = -241.3, -215.9, 0.0  &
      , -228.6, -203.2, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL115  &
   location = -228.6, -215.9, 0.0  &
      , -215.9, -203.2, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL116  &
   location = -279.4, -203.2, 0.0  &
      , -203.2, -203.2, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL117  &
   location = -279.4, -215.9, 0.0  &
      , -266.7, -203.2, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL118  &
   location = -266.7, -215.9, 0.0  &
      , -254.0, -203.2, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL119  &
   location = -254.0, -215.9, 0.0  &
      , -241.3, -203.2, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL120  &
   location = -241.3, -215.9, 0.0  &
      , -228.6, -203.2, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL121  &
   location = -228.6, -215.9, 0.0  &
      , -215.9, -203.2, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL122  &
   location = 685.8, 0.0, 0.0  &
      , 685.8, -76.2, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL123  &
   location = 698.5, 0.0, 0.0  &
      , 685.8, -12.7, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL124  &
   location = 698.5, -12.7, 0.0  &
      , 685.8, -25.4, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL126  &
   location = 698.5, -25.4, 0.0  &
      , 685.8, -38.1, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL127  &
   location = 698.5, -38.1, 0.0  &
      , 685.8, -50.8, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL128  &
   location = 698.5, -50.8, 0.0  &
      , 685.8, -63.5, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL129  &
   location = 546.1, 152.4, 0.0  &
      , 622.3, 152.4, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL131  &
   location = 546.1, 139.7, 0.0  &
      , 558.8, 152.4, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL133  &
   location = 558.8, 139.7, 0.0  &
      , 571.5, 152.4, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL134  &
   location = 571.5, 139.7, 0.0  &
      , 584.2, 152.4, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL135  &
   location = 584.2, 139.7, 0.0  &
      , 596.9, 152.4, 0.0  &
   close = no
!
geometry create curve polyline  &
   polyline_name = .stamp.ground.POL136  &
   location = 596.9, 139.7, 0.0  &
      , 609.6, 152.4, 0.0  &
   close = no
!
part attributes  &
   part_name = .stamp.ground  &
   color = RED
!
model display  &
   model_name = stamp
!
!------------------------------------ PAR2 ------------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .stamp.ground
!
part create rigid_body name_and_position  &
   part_name = .stamp.PAR2  &
   adams_id = 2  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .stamp.PAR2
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .stamp.PAR2.cm  &
   adams_id = 10  &
   location = 355.6, 25.4, 0.0  &
   orientation = 9.462322208d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.PAR2.cm  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.PAR2.mar1_l  &
   adams_id = 11  &
   location = 203.2, 0.0, 0.0  &
   orientation = 9.462322208d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.PAR2.mar1_l  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.PAR2.mar2_l  &
   adams_id = 12  &
   location = 508.0, 50.8, 0.0  &
   orientation = 9.462322208d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.PAR2.mar2_l  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.PAR2.lower_left_i  &
   adams_id = 13  &
   location = 203.2, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.PAR2.lower_left_i  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.PAR2.lower_right_j  &
   adams_id = 14  &
   location = 508.0, 50.8, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.PAR2.lower_right_j  &
   visibility = off  &
   name_visibility = on
!
part create rigid_body mass_properties  &
   part_name = .stamp.PAR2  &
   mass = 2.2890508319E+04  &
   center_of_mass_marker = .stamp.PAR2.cm  &
   ixx = 1.5190673142E+06  &
   iyy = 2.0651013448E+08  &
   izz = 2.0741386679E+08  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape link  &
   link_name = .stamp.PAR2.LNK1  &
   i_marker = .stamp.PAR2.mar1_l  &
   j_marker = .stamp.PAR2.mar2_l  &
   width = 25.4  &
   depth = 50.8
!
geometry attributes  &
   geometry_name = .stamp.PAR2.LNK1  &
   color = CYAN
!
model display  &
   model_name = stamp
!
!----------------------------------- PAR2_2 -----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .stamp.ground
!
part create rigid_body name_and_position  &
   part_name = .stamp.PAR2_2  &
   adams_id = 3  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .stamp.PAR2_2
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .stamp.PAR2_2.cm  &
   adams_id = 15  &
   location = 355.6, 203.2, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.PAR2_2.cm  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.PAR2_2.mar1_l  &
   adams_id = 16  &
   location = 355.6, 152.4, 0.0  &
   orientation = 90.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.PAR2_2.mar1_l  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.PAR2_2.mar2_l  &
   adams_id = 17  &
   location = 355.6, 254.0, 0.0  &
   orientation = 90.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.PAR2_2.mar2_l  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.PAR2_2.input_i  &
   adams_id = 18  &
   location = 355.6, 152.4, 0.0  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.PAR2_2.input_i  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.PAR2_2.top_left_i  &
   adams_id = 19  &
   location = 355.6, 254.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.PAR2_2.top_left_i  &
   visibility = off  &
   name_visibility = on
!
part create rigid_body mass_properties  &
   part_name = .stamp.PAR2_2  &
   density = 7.8010000002E-06
!
! ****** Graphics for current part ******
!
geometry create shape link  &
   link_name = .stamp.PAR2_2.LNK1  &
   i_marker = .stamp.PAR2_2.mar1_l  &
   j_marker = .stamp.PAR2_2.mar2_l  &
   width = 25.4  &
   depth = 50.8
!
part attributes  &
   part_name = .stamp.PAR2_2  &
   color = MAIZE
!
model display  &
   model_name = stamp
!
!----------------------------------- PAR2_3 -----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .stamp.ground
!
part create rigid_body name_and_position  &
   part_name = .stamp.PAR2_3  &
   adams_id = 4  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .stamp.PAR2_3
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .stamp.PAR2_3.cm  &
   adams_id = 20  &
   location = 596.9, 279.4, 0.0  &
   orientation = 354.2894068625d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.PAR2_3.cm  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.PAR2_3.mar1_l  &
   adams_id = 21  &
   location = 584.2, 152.4, 0.0  &
   orientation = 84.2894068625d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.PAR2_3.mar1_l  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.PAR2_3.mar2_l  &
   adams_id = 22  &
   location = 609.6, 406.4, 0.0  &
   orientation = 84.2894068625d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.PAR2_3.mar2_l  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.PAR2_3.right_to_ground_i  &
   adams_id = 23  &
   location = 584.2, 152.4, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.PAR2_3.right_to_ground_i  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.PAR2_3.top_right_i  &
   adams_id = 24  &
   location = 609.6, 406.4, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.PAR2_3.top_right_i  &
   visibility = off  &
   name_visibility = on
!
part create rigid_body mass_properties  &
   part_name = .stamp.PAR2_3  &
   mass = 1.9147422969E+04  &
   center_of_mass_marker = .stamp.PAR2_3.cm  &
   ixx = 1.2099286105E+08  &
   iyy = 1.2675163829E+06  &
   izz = 1.2174566279E+08  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape link  &
   link_name = .stamp.PAR2_3.LNK1  &
   i_marker = .stamp.PAR2_3.mar1_l  &
   j_marker = .stamp.PAR2_3.mar2_l  &
   width = 25.4  &
   depth = 50.8
!
geometry attributes  &
   geometry_name = .stamp.PAR2_3.LNK1  &
   color = CYAN
!
model display  &
   model_name = stamp
!
!----------------------------------- PAR2_4 -----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .stamp.ground
!
part create rigid_body name_and_position  &
   part_name = .stamp.PAR2_4  &
   adams_id = 5  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .stamp.PAR2_4
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .stamp.PAR2_4.cm  &
   adams_id = 25  &
   location = 558.8, 228.6, 0.0  &
   orientation = 344.0546040991d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.PAR2_4.cm  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.PAR2_4.mar1_l  &
   adams_id = 26  &
   location = 609.6, 406.4, 0.0  &
   orientation = 254.0546040991d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.PAR2_4.mar1_l  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.PAR2_4.mar2_l  &
   adams_id = 27  &
   location = 508.0, 50.8, 0.0  &
   orientation = 254.0546040991d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.PAR2_4.mar2_l  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.PAR2_4.top_right_j  &
   adams_id = 28  &
   location = 609.6, 406.4, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.PAR2_4.top_right_j  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.PAR2_4.tri_joint_middle_j  &
   adams_id = 29  &
   location = 558.8, 228.6, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.PAR2_4.tri_joint_middle_j  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.PAR2_4.lower_right_i  &
   adams_id = 30  &
   location = 508.0, 50.8, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.PAR2_4.lower_right_i  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.PAR2_4.MAR36  &
   adams_id = 36  &
   location = 547.7104152679, 137.6704121288, -25.4  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.PAR2_4.MAR36  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.PAR2_4.stamp_face  &
   adams_id = 48  &
   location = 627.4945032, -34.6592144, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.PAR2_4.stamp_face  &
   visibility = off  &
   name_visibility = on  &
   size_of_icons = 2.54
!
part create rigid_body mass_properties  &
   part_name = .stamp.PAR2_4  &
   mass = 2.7127290912E+04  &
   center_of_mass_marker = .stamp.PAR2_4.cm  &
   ixx = 3.4347048529E+08  &
   iyy = 1.8037967593E+06  &
   izz = 3.4454505526E+08  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape link  &
   link_name = .stamp.PAR2_4.LNK1  &
   i_marker = .stamp.PAR2_4.mar1_l  &
   j_marker = .stamp.PAR2_4.mar2_l  &
   width = 25.4  &
   depth = 50.8
!
geometry attributes  &
   geometry_name = .stamp.PAR2_4.LNK1  &
   color = CYAN
!
defaults coordinate_system  &
   default_coordinate_system = .stamp.PAR2_4.MAR36
!
geometry create shape extrusion  &
   extrusion_name = .stamp.PAR2_4.EXT6  &
   reference_marker = .stamp.PAR2_4.MAR36  &
   points_for_profile = 0.0, 0.0, 0.0  &
      , 6.6685367594, -32.4959331208, 0.0  &
      , 97.737638855, -151.6154228773, 0.0  &
      , 62.6963668905, -191.9705739397, 0.0  &
      , -9.0683418277, -136.0860181094, 0.0  &
      , -19.559658813, -116.0363129561, 0.0  &
      , -27.6583892831, -92.6921044122, 0.0  &
      , -1.2025428781, 2.4076049816, 0.0  &
      , 0.0, 0.0, 0.0  &
   length_along_z_axis = 50.8
!
defaults coordinate_system  &
   default_coordinate_system = .stamp.PAR2_4
!
geometry create curve polyline  &
   polyline_name = .stamp.PAR2_4.shape_for_ext  &
   location = 547.7104152679, 137.6704121288, -6.35  &
      , 554.3789520273, 105.174479008, -6.35  &
      , 645.4480541229, -13.9450107485, -6.35  &
      , 610.4067821583, -54.3001618109, -6.35  &
      , 538.6420734401, 1.5843940194, -6.35  &
      , 528.1507564548, 21.6340991727, -6.35  &
      , 520.0520259848, 44.9783077166, -6.35  &
      , 546.5078723897, 140.0780171104, -6.35  &
   close = yes
!
part attributes  &
   part_name = .stamp.PAR2_4  &
   color = CYAN
!
model display  &
   model_name = stamp
!
!----------------------------------- PAR2_5 -----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .stamp.ground
!
part create rigid_body name_and_position  &
   part_name = .stamp.PAR2_5  &
   adams_id = 6  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .stamp.PAR2_5
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .stamp.PAR2_5.cm  &
   adams_id = 31  &
   location = 457.2, 241.3, 0.0  &
   orientation = 352.8749836511d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.PAR2_5.cm  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.PAR2_5.mar1_l  &
   adams_id = 32  &
   location = 355.6, 254.0, 0.0  &
   orientation = 352.8749836511d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.PAR2_5.mar1_l  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.PAR2_5.mar2_l  &
   adams_id = 33  &
   location = 558.8, 228.6, 0.0  &
   orientation = 352.8749836511d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.PAR2_5.mar2_l  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.PAR2_5.top_left_j  &
   adams_id = 34  &
   location = 355.6, 254.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.PAR2_5.top_left_j  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.PAR2_5.tri_joint_middle_i  &
   adams_id = 35  &
   location = 558.8, 228.6, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.PAR2_5.tri_joint_middle_i  &
   visibility = off  &
   name_visibility = on
!
part create rigid_body mass_properties  &
   part_name = .stamp.PAR2_5  &
   density = 7.8010000002E-06
!
! ****** Graphics for current part ******
!
geometry create shape link  &
   link_name = .stamp.PAR2_5.LNK1  &
   i_marker = .stamp.PAR2_5.mar1_l  &
   j_marker = .stamp.PAR2_5.mar2_l  &
   width = 25.4  &
   depth = 50.8
!
geometry attributes  &
   geometry_name = .stamp.PAR2_5.LNK1  &
   color = CYAN
!
model display  &
   model_name = stamp
!
!---------------------------------- parcels -----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .stamp.ground
!
part create rigid_body name_and_position  &
   part_name = .stamp.parcels  &
   adams_id = 7  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .stamp.parcels
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .stamp.parcels.MAR39  &
   adams_id = 39  &
   location = -177.8, -127.0, 101.6  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.parcels.MAR39  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.parcels.cm  &
   adams_id = 47  &
   location = -25.4, -152.4, -101.6  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.parcels.cm  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.parcels.MAR40  &
   adams_id = 40  &
   location = -381.0, -127.0, 101.6  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.parcels.MAR40  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.parcels.MAR41  &
   adams_id = 41  &
   location = -584.2, -127.0, 101.6  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.parcels.MAR41  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.parcels.MAR42  &
   adams_id = 42  &
   location = 431.8, -127.0, 101.6  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.parcels.MAR42  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.parcels.MAR43  &
   adams_id = 43  &
   location = 228.6, -127.0, 101.6  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.parcels.MAR43  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.parcels.MAR44  &
   adams_id = 44  &
   location = 25.4, -127.0, 101.6  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .stamp.parcels.MAR44  &
   visibility = off  &
   name_visibility = on
!
marker create  &
   marker_name = .stamp.parcels.MAR45  &
   adams_id = 45  &
   location = -584.2, -177.8, 76.2  &
   orientation = 90.0d, 90.0d, 270.0d
!
marker attributes  &
   marker_name = .stamp.parcels.MAR45  &
   visibility = off  &
   name_visibility = on
!
part create rigid_body mass_properties  &
   part_name = .stamp.parcels  &
   mass = 1.3587740465E+06  &
   center_of_mass_marker = .stamp.parcels.cm  &
   ixx = 4.9675510951E+09  &
   iyy = 1.6948115501E+11  &
   izz = 1.6509802169E+11  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape block  &
   block_name = .stamp.parcels.BOX9  &
   adams_id = 9  &
   corner_marker = .stamp.parcels.MAR39  &
   diag_corner_coords = 101.6, -50.8000000152, -203.2
!
geometry attributes  &
   geometry_name = .stamp.parcels.BOX9  &
   color = GREEN
!
geometry create shape block  &
   block_name = .stamp.parcels.BOX10  &
   adams_id = 10  &
   corner_marker = .stamp.parcels.MAR40  &
   diag_corner_coords = 101.6, -50.8000000152, -203.2
!
geometry attributes  &
   geometry_name = .stamp.parcels.BOX10  &
   color = GREEN
!
geometry create shape block  &
   block_name = .stamp.parcels.BOX11  &
   adams_id = 11  &
   corner_marker = .stamp.parcels.MAR41  &
   diag_corner_coords = 101.6, -50.8000000152, -203.2
!
geometry attributes  &
   geometry_name = .stamp.parcels.BOX11  &
   color = GREEN
!
geometry create shape block  &
   block_name = .stamp.parcels.BOX12  &
   adams_id = 12  &
   corner_marker = .stamp.parcels.MAR42  &
   diag_corner_coords = 101.6, -50.8000000152, -203.2
!
geometry attributes  &
   geometry_name = .stamp.parcels.BOX12  &
   color = GREEN
!
geometry create shape block  &
   block_name = .stamp.parcels.BOX13  &
   adams_id = 13  &
   corner_marker = .stamp.parcels.MAR43  &
   diag_corner_coords = 101.6, -50.8000000152, -203.2
!
geometry attributes  &
   geometry_name = .stamp.parcels.BOX13  &
   color = GREEN
!
geometry create shape block  &
   block_name = .stamp.parcels.BOX14  &
   adams_id = 14  &
   corner_marker = .stamp.parcels.MAR44  &
   diag_corner_coords = 101.6, -50.8000000152, -203.2
!
geometry attributes  &
   geometry_name = .stamp.parcels.BOX14  &
   color = GREEN
!
model display  &
   model_name = stamp
!
!-------------------------------- Data storage --------------------------------!
!
!
!----------------------------------- Joints -----------------------------------!
!
!
constraint create joint revolute  &
   joint_name = .stamp.input  &
   adams_id = 1  &
   i_marker_name = .stamp.PAR2_2.input_i  &
   j_marker_name = .stamp.ground.input_j
!
constraint attributes  &
   constraint_name = .stamp.input  &
   name_visibility = off
!
constraint create joint revolute  &
   joint_name = .stamp.lower_left_to_ground  &
   adams_id = 2  &
   i_marker_name = .stamp.PAR2.lower_left_i  &
   j_marker_name = .stamp.ground.lower_left_j
!
constraint attributes  &
   constraint_name = .stamp.lower_left_to_ground  &
   name_visibility = off
!
constraint create joint revolute  &
   joint_name = .stamp.far_right_to_ground  &
   adams_id = 3  &
   i_marker_name = .stamp.PAR2_3.right_to_ground_i  &
   j_marker_name = .stamp.ground.right_to_ground_j
!
constraint attributes  &
   constraint_name = .stamp.far_right_to_ground  &
   name_visibility = off
!
constraint create joint revolute  &
   joint_name = .stamp.top_left  &
   adams_id = 4  &
   i_marker_name = .stamp.PAR2_2.top_left_i  &
   j_marker_name = .stamp.PAR2_5.top_left_j
!
constraint attributes  &
   constraint_name = .stamp.top_left  &
   name_visibility = off
!
constraint create joint revolute  &
   joint_name = .stamp.top_right  &
   adams_id = 5  &
   i_marker_name = .stamp.PAR2_3.top_right_i  &
   j_marker_name = .stamp.PAR2_4.top_right_j
!
constraint attributes  &
   constraint_name = .stamp.top_right  &
   name_visibility = off
!
constraint create joint revolute  &
   joint_name = .stamp.tri_joint_middle  &
   adams_id = 6  &
   i_marker_name = .stamp.PAR2_5.tri_joint_middle_i  &
   j_marker_name = .stamp.PAR2_4.tri_joint_middle_j
!
constraint attributes  &
   constraint_name = .stamp.tri_joint_middle  &
   name_visibility = off
!
constraint create joint revolute  &
   joint_name = .stamp.lower_right  &
   adams_id = 7  &
   i_marker_name = .stamp.PAR2_4.lower_right_i  &
   j_marker_name = .stamp.PAR2.lower_right_j
!
constraint attributes  &
   constraint_name = .stamp.lower_right  &
   name_visibility = off
!
constraint create joint translational  &
   joint_name = .stamp.JOI8  &
   adams_id = 8  &
   i_marker_name = .stamp.parcels.MAR45  &
   j_marker_name = .stamp.ground.MAR46
!
constraint attributes  &
   constraint_name = .stamp.JOI8  &
   visibility = off  &
   name_visibility = off
!
!---------------------------------- Motions -----------------------------------!
!
!
constraint create motion_generator  &
   motion_name = .stamp.MOT1  &
   adams_id = 1  &
   type_of_freedom = rotational  &
   joint_name = .stamp.input  &
   function = ""
!
constraint attributes  &
   constraint_name = .stamp.MOT1  &
   name_visibility = off  &
   size_of_icons = 19.05
!
constraint create motion_generator  &
   motion_name = .stamp.MOT2  &
   adams_id = 2  &
   type_of_freedom = translational  &
   joint_name = .stamp.JOI8  &
   function = ""
!
constraint attributes  &
   constraint_name = .stamp.MOT2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 38.1
!
!---------------------------------- Requests ----------------------------------!
!
!
output_control create request  &
   request_name = .stamp.REQ1  &
   adams_id = 1  &
   i_marker_name = .stamp.PAR2_4.stamp_face  &
   j_marker_name = .stamp.ground.MAR49  &
   r_marker_name = .stamp.ground.MAR49  &
   comment = "Stamp Height"  &
   output_type = displacement
!
output_control attributes request  &
   request_name = .stamp.REQ1  &
   visibility = off
!
!------------------------------ Dynamic Graphics ------------------------------!
!
!
!----------------------------- Analysis settings ------------------------------!
!
!
!---------------------------------- Measures ----------------------------------!
!
!
measure create pt2pt  &
   measure_name = .stamp.stamp_height  &
   from_point = .stamp.parcels.MAR42  &
   to_point = .stamp.PAR2_4.stamp_face  &
   coordinate_rframe = .stamp.parcels.MAR42  &
   characteristic = translational_displacement  &
   component = y_component  &
   create_measure_display = no
!
data_element attributes  &
   data_element_name = .stamp.stamp_height  &
   color = WHITE
!
measure create computed  &
   measure_name = .stamp.desired_stamp_height_error_measure  &
   text_of_expression = "0"  &
   create_measure_display = no  &
   units = no_units
!
entity attributes  &
   entity_name = .stamp.desired_stamp_height_error_measure  &
   color = WHITE
!
!---------------------------- ADAMS/View Variables ----------------------------!
!
!
variable create  &
   variable_name = .stamp.sellistvar  &
   integer_value = 1
!
variable create  &
   variable_name = .stamp.control_link_length  &
   units = length  &
   range = 239.0, 269.0  &
   real_value = 254.0
!
variable create  &
   variable_name = .stamp.desired_penetration  &
   units = length  &
   range = -1.0, 1.0  &
   delta_type = relative  &
   real_value = 2.4
!
variable create  &
   variable_name = .stamp.opt_temp_var  &
   integer_value = 1
!
!--------------------- ADAMS/View Optimization Objective ----------------------!
!
!
optimize objective create  &
   objective_name = .stamp.desired_stamp_height_error_objective  &
   measure_name = .stamp.desired_stamp_height_error_measure  &
   output_characteristic = minimum
!
!----------------------------- Simulation Scripts -----------------------------!
!
!
simulation script create  &
   sim_script_name = .stamp.stamp_single  &
   type = kinematic  &
   initial_static = no  &
   number_of_steps = 200  &
   end_time = 4.0
!
simulation script create  &
   sim_script_name = .stamp.Last_Sim  &
   commands =   &
              "simulation single_run scripted sim_script_name=.stamp.stamp_single reset_before_and_after=yes model_name=.stamp"
!
simulation script create  &
   sim_script_name = .stamp.stamp_opt  &
   type = auto_select  &
   initial_static = no  &
   number_of_steps = 250  &
   end_time = 0.5
!
!---------------------------- Function definitions ----------------------------!
!
!
constraint modify motion_generator  &
   motion_name = MOT1  &
   function = "time * 360d"
!
constraint modify motion_generator  &
   motion_name = MOT2  &
   function = "time * 8 * 25.4"
!
!--------------------------- Expression definitions ---------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ground
!
marker modify  &
   marker_name = .stamp.ground.MAR1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .stamp.ground.Base))
!
marker modify  &
   marker_name = .stamp.ground.MAR2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .stamp.ground.POINT_3))
!
marker modify  &
   marker_name = .stamp.ground.MAR3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .stamp.ground.POINT_4))
!
marker modify  &
   marker_name = .stamp.ground.MAR4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .stamp.ground.POINT_2))
!
marker modify  &
   marker_name = .stamp.ground.MAR6  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .stamp.ground.POINT_5))
!
marker modify  &
   marker_name = .stamp.ground.input_j  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .stamp.ground.Base))
!
marker modify  &
   marker_name = .stamp.ground.lower_left_j  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .stamp.ground.POINT_4))
!
marker modify  &
   marker_name = .stamp.ground.right_to_ground_j  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .stamp.ground.POINT_3))
!
marker modify  &
   marker_name = .stamp.ground.control_link_tip_cs  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .stamp.ground.control_link_tip))
!
point modify  &
   point_name = .stamp.ground.control_link_tip  &
   location =   &
      355.6,  &
      (.stamp.control_link_length),  &
      0.0
!
marker modify  &
   marker_name = .stamp.PAR2.mar1_l  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .stamp.ground.POINT_4))  &
   relative_to = PAR2
!
defaults coordinate_system  &
   default_coordinate_system = .stamp.ground
!
marker modify  &
   marker_name = .stamp.PAR2.mar2_l  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .stamp.ground.POINT_5))  &
   relative_to = PAR2
!
defaults coordinate_system  &
   default_coordinate_system = .stamp.ground
!
marker modify  &
   marker_name = .stamp.PAR2.lower_left_i  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .stamp.ground.POINT_4))  &
   relative_to = PAR2
!
defaults coordinate_system  &
   default_coordinate_system = .stamp.ground
!
marker modify  &
   marker_name = .stamp.PAR2.lower_right_j  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .stamp.ground.POINT_5))  &
   relative_to = PAR2
!
defaults coordinate_system  &
   default_coordinate_system = .stamp.ground
!
marker modify  &
   marker_name = .stamp.PAR2_2.mar1_l  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .stamp.ground.Base))  &
   relative_to = PAR2_2
!
defaults coordinate_system  &
   default_coordinate_system = .stamp.ground
!
marker modify  &
   marker_name = .stamp.PAR2_2.mar2_l  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .stamp.ground.control_link_tip))  &
   relative_to = PAR2_2
!
defaults coordinate_system  &
   default_coordinate_system = .stamp.ground
!
marker modify  &
   marker_name = .stamp.PAR2_2.input_i  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .stamp.ground.Base))  &
   relative_to = PAR2_2
!
defaults coordinate_system  &
   default_coordinate_system = .stamp.ground
!
marker modify  &
   marker_name = .stamp.PAR2_2.top_left_i  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .stamp.ground.control_link_tip))  &
   relative_to = PAR2_2
!
defaults coordinate_system  &
   default_coordinate_system = .stamp.ground
!
marker modify  &
   marker_name = .stamp.PAR2_3.mar1_l  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .stamp.ground.POINT_3))  &
   relative_to = PAR2_3
!
defaults coordinate_system  &
   default_coordinate_system = .stamp.ground
!
marker modify  &
   marker_name = .stamp.PAR2_3.mar2_l  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .stamp.ground.POINT_2))  &
   relative_to = PAR2_3
!
defaults coordinate_system  &
   default_coordinate_system = .stamp.ground
!
marker modify  &
   marker_name = .stamp.PAR2_3.right_to_ground_i  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .stamp.ground.POINT_3))  &
   relative_to = PAR2_3
!
defaults coordinate_system  &
   default_coordinate_system = .stamp.ground
!
marker modify  &
   marker_name = .stamp.PAR2_3.top_right_i  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .stamp.ground.POINT_2))  &
   relative_to = PAR2_3
!
defaults coordinate_system  &
   default_coordinate_system = .stamp.ground
!
marker modify  &
   marker_name = .stamp.PAR2_4.cm  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .stamp.ground.POINT))  &
   relative_to = PAR2_4
!
defaults coordinate_system  &
   default_coordinate_system = .stamp.ground
!
marker modify  &
   marker_name = .stamp.PAR2_4.mar1_l  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .stamp.ground.POINT_2))  &
   relative_to = PAR2_4
!
defaults coordinate_system  &
   default_coordinate_system = .stamp.ground
!
marker modify  &
   marker_name = .stamp.PAR2_4.mar2_l  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .stamp.ground.POINT_5))  &
   relative_to = PAR2_4
!
defaults coordinate_system  &
   default_coordinate_system = .stamp.ground
!
marker modify  &
   marker_name = .stamp.PAR2_4.top_right_j  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .stamp.ground.POINT_2))  &
   relative_to = PAR2_4
!
defaults coordinate_system  &
   default_coordinate_system = .stamp.ground
!
marker modify  &
   marker_name = .stamp.PAR2_4.tri_joint_middle_j  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .stamp.ground.POINT))  &
   relative_to = PAR2_4
!
defaults coordinate_system  &
   default_coordinate_system = .stamp.ground
!
marker modify  &
   marker_name = .stamp.PAR2_4.lower_right_i  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .stamp.ground.POINT_5))  &
   relative_to = PAR2_4
!
defaults coordinate_system  &
   default_coordinate_system = .stamp.ground
!
marker modify  &
   marker_name = .stamp.PAR2_5.mar1_l  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .stamp.ground.control_link_tip))  &
   relative_to = PAR2_5
!
defaults coordinate_system  &
   default_coordinate_system = .stamp.ground
!
marker modify  &
   marker_name = .stamp.PAR2_5.mar2_l  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .stamp.ground.POINT))  &
   relative_to = PAR2_5
!
defaults coordinate_system  &
   default_coordinate_system = .stamp.ground
!
marker modify  &
   marker_name = .stamp.PAR2_5.top_left_j  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .stamp.ground.control_link_tip))  &
   relative_to = PAR2_5
!
defaults coordinate_system  &
   default_coordinate_system = .stamp.ground
!
marker modify  &
   marker_name = .stamp.PAR2_5.tri_joint_middle_i  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .stamp.ground.POINT))  &
   relative_to = PAR2_5
!
defaults coordinate_system  &
   default_coordinate_system = .stamp.ground
!
measure modify computed  &
   measure_name = .stamp.desired_stamp_height_error_measure  &
   text_of_expression = "(ABS(MIN(.stamp.stamp_height) + .stamp.desired_penetration))"
