!
!-------------------------- Default Units for Model ---------------------------!
!
!
defaults units  &
   length = inch  &
   angle = deg  &
   force = pound_force  &
   mass = pound_mass  &
   time = sec
!
defaults units  &
   coordinate_system_type = cartesian  &
   orientation_type = body313
!
!------------------------ Default Attributes for Model ------------------------!
!
!
defaults attributes  &
   inheritance = bottom_up  &
   icon_visibility = on  &
   grid_visibility = off  &
   size_of_icons = 1.968503937  &
   spacing_for_grid = 39.3700787402
!
!------------------------------ Adams/View Model ------------------------------!
!
!
model create  &
   model_name = Double_Pendulum
!
view erase
!
!--------------------------------- Materials ----------------------------------!
!
!
material create  &
   material_name = .Double_Pendulum.steel  &
   adams_id = 1  &
   youngs_modulus = 3.002281171E+007  &
   poissons_ratio = 0.29  &
   density = 0.2818290049
!
!-------------------------------- Rigid Parts ---------------------------------!
!
! Create parts and their dependent markers and graphics
!
!----------------------------------- ground -----------------------------------!
!
!
! ****** Ground Part ******
!
defaults model  &
   part_name = ground
!
defaults coordinate_system  &
   default_coordinate_system = .Double_Pendulum.ground
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .Double_Pendulum.ground.MARKER_11  &
   adams_id = 11  &
   location = -12.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Double_Pendulum.ground.MARKER_13  &
   adams_id = 13  &
   location = 12.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
part create rigid_body mass_properties  &
   part_name = .Double_Pendulum.ground  &
   material_type = .Double_Pendulum.steel
!
part attributes  &
   part_name = .Double_Pendulum.ground  &
   name_visibility = off
!
!--------------------------------- pendulum1 ----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .Double_Pendulum.ground
!
part create rigid_body name_and_position  &
   part_name = .Double_Pendulum.pendulum1  &
   adams_id = 2  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .Double_Pendulum.pendulum1
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .Double_Pendulum.pendulum1.MARKER_1  &
   adams_id = 1  &
   location = -12.0, 6.0, 0.0  &
   orientation = 270.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Double_Pendulum.pendulum1.MARKER_2  &
   adams_id = 2  &
   location = -12.0, -30.0, 0.0  &
   orientation = 270.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Double_Pendulum.pendulum1.cm  &
   adams_id = 18  &
   location = -12.0, -15.4244852407, 0.0  &
   orientation = 180.0d, 90.0d, 90.0d
!
marker create  &
   marker_name = .Double_Pendulum.pendulum1.MARKER_3  &
   adams_id = 3  &
   location = -12.0, -30.0, -0.375  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Double_Pendulum.pendulum1.MARKER_4  &
   adams_id = 4  &
   location = -12.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Double_Pendulum.pendulum1.MARKER_10  &
   adams_id = 10  &
   location = -12.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Double_Pendulum.pendulum1.MARKER_14  &
   adams_id = 14  &
   location = -12.0, -15.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Double_Pendulum.pendulum1.MARKER_16  &
   adams_id = 16  &
   location = -12.0, -15.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
part create rigid_body mass_properties  &
   part_name = .Double_Pendulum.pendulum1  &
   material_type = .Double_Pendulum.steel
!
! ****** Graphics for current part ******
!
geometry create shape link  &
   link_name = .Double_Pendulum.pendulum1.LINK_1  &
   i_marker = .Double_Pendulum.pendulum1.MARKER_1  &
   j_marker = .Double_Pendulum.pendulum1.MARKER_2  &
   width = 0.875  &
   depth = 0.3125
!
geometry create shape cylinder  &
   cylinder_name = .Double_Pendulum.pendulum1.CYLINDER_2  &
   adams_id = 2  &
   center_marker = .Double_Pendulum.pendulum1.MARKER_3  &
   angle_extent = 360.0  &
   length = 0.75  &
   radius = 1.0  &
   side_count_for_body = 20  &
   segment_count_for_ends = 20
!
part attributes  &
   part_name = .Double_Pendulum.pendulum1  &
   color = RED  &
   visibility = on  &
   name_visibility = off
!
!--------------------------------- pendulum2 ----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .Double_Pendulum.ground
!
part create rigid_body name_and_position  &
   part_name = .Double_Pendulum.pendulum2  &
   adams_id = 3  &
   location = 24.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .Double_Pendulum.pendulum2
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .Double_Pendulum.pendulum2.MARKER_1  &
   adams_id = 5  &
   location = -12.0, 6.0, 0.0  &
   orientation = 270.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Double_Pendulum.pendulum2.MARKER_2  &
   adams_id = 6  &
   location = -12.0, -30.0, 0.0  &
   orientation = 270.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Double_Pendulum.pendulum2.cm  &
   adams_id = 7  &
   location = -12.0, -15.4244852407, 0.0  &
   orientation = 180.0d, 90.0d, 90.0d
!
marker create  &
   marker_name = .Double_Pendulum.pendulum2.MARKER_3  &
   adams_id = 8  &
   location = -12.0, -30.0, -0.375  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Double_Pendulum.pendulum2.MARKER_4  &
   adams_id = 9  &
   location = -12.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Double_Pendulum.pendulum2.MARKER_12  &
   adams_id = 12  &
   location = -12.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Double_Pendulum.pendulum2.MARKER_15  &
   adams_id = 15  &
   location = -12.0, -15.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Double_Pendulum.pendulum2.MARKER_17  &
   adams_id = 17  &
   location = -12.0, -15.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
part create rigid_body mass_properties  &
   part_name = .Double_Pendulum.pendulum2  &
   material_type = .Double_Pendulum.steel
!
! ****** Graphics for current part ******
!
geometry create shape link  &
   link_name = .Double_Pendulum.pendulum2.LINK_1  &
   i_marker = .Double_Pendulum.pendulum2.MARKER_1  &
   j_marker = .Double_Pendulum.pendulum2.MARKER_2  &
   width = 0.875  &
   depth = 0.3125
!
geometry create shape cylinder  &
   cylinder_name = .Double_Pendulum.pendulum2.CYLINDER_2  &
   adams_id = 5  &
   center_marker = .Double_Pendulum.pendulum2.MARKER_3  &
   angle_extent = 360.0  &
   length = 0.75  &
   radius = 1.0  &
   side_count_for_body = 20  &
   segment_count_for_ends = 20
!
part attributes  &
   part_name = .Double_Pendulum.pendulum2  &
   color = GREEN  &
   name_visibility = off
!
!----------------------------------- Joints -----------------------------------!
!
!
constraint create joint revolute  &
   joint_name = .Double_Pendulum.JOINT_1  &
   adams_id = 1  &
   i_marker_name = .Double_Pendulum.pendulum1.MARKER_10  &
   j_marker_name = .Double_Pendulum.ground.MARKER_11  &
   rotational_ic = -5.0d  &
   angular_velocity_ic = 0.0
!
constraint attributes  &
   constraint_name = .Double_Pendulum.JOINT_1  &
   name_visibility = off
!
constraint create joint revolute  &
   joint_name = .Double_Pendulum.JOINT_2  &
   adams_id = 2  &
   i_marker_name = .Double_Pendulum.pendulum2.MARKER_12  &
   j_marker_name = .Double_Pendulum.ground.MARKER_13  &
   rotational_ic = 5.0d  &
   angular_velocity_ic = 0.0
!
constraint attributes  &
   constraint_name = .Double_Pendulum.JOINT_2  &
   name_visibility = off
!
!----------------------------------- Forces -----------------------------------!
!
!
!----------------------------- Simulation Scripts -----------------------------!
!
!
simulation script create  &
   sim_script_name = .Double_Pendulum.Last_Sim  &
   commands =   &
              "simulation single_run transient type=auto_select initial_static=no end_time=5.0 number_of_steps=100 model_name=.Double_Pendulum"
!
!-------------------------- Adams/View UDE Instances --------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .Double_Pendulum.ground
!
undo begin_block suppress = yes
!
ude create instance  &
   instance_name = .Double_Pendulum.SPRING_1  &
   definition_name = .MDI.Forces.spring  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
ude attributes  &
   instance_name = .Double_Pendulum.SPRING_1  &
   color = RED
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = .Double_Pendulum.SPRING_1.i_marker  &
   object_value = (.Double_Pendulum.pendulum1.MARKER_16)
!
variable modify  &
   variable_name = .Double_Pendulum.SPRING_1.j_marker  &
   object_value = (.Double_Pendulum.pendulum2.MARKER_17)
!
variable modify  &
   variable_name = .Double_Pendulum.SPRING_1.stiffness_mode  &
   string_value = "linear"
!
variable modify  &
   variable_name = .Double_Pendulum.SPRING_1.stiffness_coefficient  &
   real_value = (2.0E-002(pound_force/inch))
!
variable modify  &
   variable_name = .Double_Pendulum.SPRING_1.stiffness_spline  &
   object_value = (NONE)
!
variable modify  &
   variable_name = .Double_Pendulum.SPRING_1.damping_mode  &
   string_value = "none"
!
variable modify  &
   variable_name = .Double_Pendulum.SPRING_1.damping_coefficient  &
   real_value = (1.8272470895E-002(pound_force-sec/inch))
!
variable modify  &
   variable_name = .Double_Pendulum.SPRING_1.damping_spline  &
   object_value = (NONE)
!
variable modify  &
   variable_name = .Double_Pendulum.SPRING_1.free_length_mode  &
   string_value = "Design_Length"
!
variable modify  &
   variable_name = .Double_Pendulum.SPRING_1.free_length  &
   real_value = 1.0
!
variable modify  &
   variable_name = .Double_Pendulum.SPRING_1.preload  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Double_Pendulum.SPRING_1.i_dynamic_visibility  &
   string_value = "On"
!
variable modify  &
   variable_name = .Double_Pendulum.SPRING_1.j_dynamic_visibility  &
   string_value = "Off"
!
variable modify  &
   variable_name = .Double_Pendulum.SPRING_1.spring_visibility  &
   string_value = "depends"
!
variable modify  &
   variable_name = .Double_Pendulum.SPRING_1.damper_visibility  &
   string_value = "depends"
!
ude modify instance  &
   instance_name = .Double_Pendulum.SPRING_1
!
undo end_block
!
!---------------------------------- Accgrav -----------------------------------!
!
!
force create body gravitational  &
   gravity_field_name = gravity  &
   x_component_gravity = 0.0  &
   y_component_gravity = -386.0885826772  &
   z_component_gravity = 0.0
!
!----------------------------- Analysis settings ------------------------------!
!
!
!---------------------------- Function definitions ----------------------------!
!
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = .Double_Pendulum.SPRING_1
!
!--------------------------- Expression definitions ---------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ground
!
marker modify  &
   marker_name = .Double_Pendulum.pendulum1.MARKER_2  &
   location =   &
      (LOC_RELATIVE_TO({36, 0.0, 0.0}, .Double_Pendulum.pendulum1.MARKER_1))  &
   relative_to = .Double_Pendulum.pendulum1
!
defaults coordinate_system  &
   default_coordinate_system = .Double_Pendulum.ground
!
geometry modify shape link  &
   link_name = .Double_Pendulum.pendulum1.LINK_1  &
   width = (7 / 8)  &
   depth = (5 / 16)
!
geometry modify shape cylinder  &
   cylinder_name = .Double_Pendulum.pendulum1.CYLINDER_2  &
   length = (0.75inch)  &
   radius = (1in)
!
material modify  &
   material_name = .Double_Pendulum.steel  &
   youngs_modulus = (2.07E+011(Newton/meter**2))  &
   density = (7801.0(kg/meter**3))
!
marker modify  &
   marker_name = .Double_Pendulum.pendulum2.MARKER_2  &
   location =   &
      (LOC_RELATIVE_TO({36, 0.0, 0.0}, .Double_Pendulum.pendulum2.MARKER_1))  &
   relative_to = .Double_Pendulum.pendulum2
!
defaults coordinate_system  &
   default_coordinate_system = .Double_Pendulum.ground
!
geometry modify shape link  &
   link_name = .Double_Pendulum.pendulum2.LINK_1  &
   width = (7 / 8)  &
   depth = (5 / 16)
!
geometry modify shape cylinder  &
   cylinder_name = .Double_Pendulum.pendulum2.CYLINDER_2  &
   length = (0.75inch)  &
   radius = (1in)
!
model display  &
   model_name = Double_Pendulum
