!
!-------------------------- Default Units for Model ---------------------------!
!
!
defaults units  &
   length = mm  &
   angle = deg  &
   force = newton  &
   mass = kg  &
   time = sec
!
defaults units  &
   coordinate_system_type = cartesian  &
   orientation_type = body313
!
!------------------------ Default Attributes for Model ------------------------!
!
!
defaults attributes  &
   inheritance = bottom_up  &
   icon_visibility = on  &
   grid_visibility = off  &
   size_of_icons = 50.0  &
   spacing_for_grid = 1000.0
!
!--------------------------- Plugins used by Model ----------------------------!
!
!
plugin load  &
   plugin_name = .MDI.plugins.amachinery
!
!------------------------------ Adams/View Model ------------------------------!
!
!
model create  &
   model_name = Walking_Beam_Indexer
!
view erase
!
!-------------------------------- Data storage --------------------------------!
!
!
!--------------------------------- Materials ----------------------------------!
!
!
material create  &
   material_name = .Walking_Beam_Indexer.steel  &
   adams_id = 1  &
   youngs_modulus = 2.07E+005  &
   poissons_ratio = 0.29  &
   density = 7.801E-006
!
!-------------------------------- Rigid Parts ---------------------------------!
!
! Create parts and their dependent markers and graphics
!
!----------------------------------- ground -----------------------------------!
!
!
! ****** Ground Part ******
!
defaults model  &
   part_name = ground
!
defaults coordinate_system  &
   default_coordinate_system = .Walking_Beam_Indexer.ground
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .Walking_Beam_Indexer.ground.Driver_1_Ref_1  &
   adams_id = 23  &
   location = 0.0, 0.0, -5.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Walking_Beam_Indexer.ground.Driven_1_Ref_1  &
   adams_id = 24  &
   location = -51.0, 82.0, -5.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Walking_Beam_Indexer.ground.MARKER_7  &
   adams_id = 7  &
   location = 57.0, 82.0, -10.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Walking_Beam_Indexer.ground.MARKER_17  &
   adams_id = 17  &
   location = -128.0, 0.0, -10.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Walking_Beam_Indexer.ground.MARKER_19  &
   adams_id = 19  &
   location = 25.0, 141.0, 25.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Walking_Beam_Indexer.ground.MARKER_21  &
   adams_id = 21  &
   location = 25.0, 141.0, -15.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Walking_Beam_Indexer.ground.MARKER_42  &
   adams_id = 48  &
   location = -100.0, 146.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
part create rigid_body mass_properties  &
   part_name = .Walking_Beam_Indexer.ground  &
   material_type = .Walking_Beam_Indexer.steel
!
! ****** Points for current part ******
!
point create  &
   point_name = .Walking_Beam_Indexer.ground.D  &
   location = -62.695, 120.252, 0.0
!
point create  &
   point_name = .Walking_Beam_Indexer.ground.F  &
   location = -100.0, 136.0, 10.0
!
point create  &
   point_name = .Walking_Beam_Indexer.ground.B  &
   location = 10.517, 7.641, 0.0
!
point create  &
   point_name = .Walking_Beam_Indexer.ground.O6  &
   location = -128.0, 0.0, -10.0
!
point create  &
   point_name = .Walking_Beam_Indexer.ground.O4  &
   location = -51.0, 82.0, 0.0
!
point create  &
   point_name = .Walking_Beam_Indexer.ground.O2  &
   location = 57.0, 82.0, -10.0
!
! ****** Graphics for current part ******
!
part attributes  &
   part_name = .Walking_Beam_Indexer.ground  &
   name_visibility = off
!
!----------------------------------- Crank ------------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .Walking_Beam_Indexer.ground
!
part create rigid_body name_and_position  &
   part_name = .Walking_Beam_Indexer.Crank  &
   adams_id = 2  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .Walking_Beam_Indexer.Crank
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .Walking_Beam_Indexer.Crank.PSMAR  &
   adams_id = 25  &
   location = 57.0, 82.0, -10.0  &
   orientation = 287.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .Walking_Beam_Indexer.Crank.PSMAR  &
   visibility = off
!
marker create  &
   marker_name = .Walking_Beam_Indexer.Crank.MARKER_6  &
   adams_id = 6  &
   location = 57.0, 82.0, -10.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Walking_Beam_Indexer.Crank.MARKER_8  &
   adams_id = 8  &
   location = 45.305, 120.252, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
! ****** Graphics for current part ******
!
!-------------------------------- Platen_Right --------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .Walking_Beam_Indexer.ground
!
part create rigid_body name_and_position  &
   part_name = .Walking_Beam_Indexer.Platen_Right  &
   adams_id = 8  &
   location = 0.0, 0.0, -40.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .Walking_Beam_Indexer.Platen_Right
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .Walking_Beam_Indexer.Platen_Right.MARKER_1  &
   adams_id = 2  &
   location = -100.0, 136.0, 10.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Walking_Beam_Indexer.Platen_Right.cm  &
   adams_id = 3  &
   location = 25.0, 141.0, 25.0  &
   orientation = 90.0d, 90.0d, 0.0d
!
marker create  &
   marker_name = .Walking_Beam_Indexer.Platen_Right.MARKER_20  &
   adams_id = 20  &
   location = 25.0, 141.0, 25.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
part create rigid_body mass_properties  &
   part_name = .Walking_Beam_Indexer.Platen_Right  &
   material_type = .Walking_Beam_Indexer.steel
!
! ****** Graphics for current part ******
!
geometry create shape block  &
   block_name = .Walking_Beam_Indexer.Platen_Right.BOX_14  &
   adams_id = 17  &
   corner_marker = .Walking_Beam_Indexer.Platen_Right.MARKER_1  &
   diag_corner_coords = 250.0, 10.0, 30.0
!
part attributes  &
   part_name = .Walking_Beam_Indexer.Platen_Right  &
   color = MAIZE  &
   name_visibility = off
!
!------------------------------------ Link ------------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .Walking_Beam_Indexer.ground
!
part create rigid_body name_and_position  &
   part_name = .Walking_Beam_Indexer.Link  &
   adams_id = 4  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .Walking_Beam_Indexer.Link
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .Walking_Beam_Indexer.Link.PSMAR  &
   adams_id = 26  &
   location = 10.517, 7.641, 0.0  &
   orientation = 335.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .Walking_Beam_Indexer.Link.PSMAR  &
   visibility = off
!
marker create  &
   marker_name = .Walking_Beam_Indexer.Link.MARKER_12  &
   adams_id = 12  &
   location = 10.517, 7.641, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Walking_Beam_Indexer.Link.MARKER_14  &
   adams_id = 14  &
   location = -164.0890198006, 89.8707868744, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
! ****** Graphics for current part ******
!
!--------------------------------- Place_Arm ----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .Walking_Beam_Indexer.ground
!
part create rigid_body name_and_position  &
   part_name = .Walking_Beam_Indexer.Place_Arm  &
   adams_id = 5  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .Walking_Beam_Indexer.Place_Arm
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .Walking_Beam_Indexer.Place_Arm.PSMAR  &
   adams_id = 27  &
   location = -128.0, 0.0, -10.0  &
   orientation = 292.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .Walking_Beam_Indexer.Place_Arm.PSMAR  &
   visibility = off
!
marker create  &
   marker_name = .Walking_Beam_Indexer.Place_Arm.MARKER_15  &
   adams_id = 15  &
   location = -164.0890198006, 89.8707868744, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Walking_Beam_Indexer.Place_Arm.MARKER_16  &
   adams_id = 16  &
   location = -128.0, 0.0, -10.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
! ****** Graphics for current part ******
!
!-------------------------------- Platen_Left ---------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .Walking_Beam_Indexer.ground
!
part create rigid_body name_and_position  &
   part_name = .Walking_Beam_Indexer.Platen_Left  &
   adams_id = 6  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .Walking_Beam_Indexer.Platen_Left
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .Walking_Beam_Indexer.Platen_Left.MARKER_1  &
   adams_id = 1  &
   location = -100.0, 136.0, 10.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Walking_Beam_Indexer.Platen_Left.cm  &
   adams_id = 37  &
   location = 25.0, 141.0, 25.0  &
   orientation = 90.0d, 90.0d, 0.0d
!
marker create  &
   marker_name = .Walking_Beam_Indexer.Platen_Left.MARKER_18  &
   adams_id = 18  &
   location = 25.0, 141.0, 25.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Walking_Beam_Indexer.Platen_Left.MARKER_40  &
   adams_id = 40  &
   location = 25.0, 141.0, 25.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
part create rigid_body mass_properties  &
   part_name = .Walking_Beam_Indexer.Platen_Left  &
   material_type = .Walking_Beam_Indexer.steel
!
! ****** Graphics for current part ******
!
geometry create shape block  &
   block_name = .Walking_Beam_Indexer.Platen_Left.BOX_14  &
   adams_id = 14  &
   corner_marker = .Walking_Beam_Indexer.Platen_Left.MARKER_1  &
   diag_corner_coords = 250.0, 10.0, 30.0
!
part attributes  &
   part_name = .Walking_Beam_Indexer.Platen_Left  &
   color = MAIZE  &
   name_visibility = off
!
!-------------------------------- Walking_Beam --------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .Walking_Beam_Indexer.ground
!
part create rigid_body name_and_position  &
   part_name = .Walking_Beam_Indexer.Walking_Beam  &
   adams_id = 7  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .Walking_Beam_Indexer.Walking_Beam
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .Walking_Beam_Indexer.Walking_Beam.PSMAR  &
   adams_id = 38  &
   location = -62.695, 120.252, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .Walking_Beam_Indexer.Walking_Beam.PSMAR  &
   visibility = off
!
marker create  &
   marker_name = .Walking_Beam_Indexer.Walking_Beam.MARKER_9  &
   adams_id = 9  &
   location = 45.305, 120.252, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Walking_Beam_Indexer.Walking_Beam.MARKER_11  &
   adams_id = 11  &
   location = -62.695, 120.252, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Walking_Beam_Indexer.Walking_Beam.MARKER_41  &
   adams_id = 41  &
   location = 104.305, 194.252, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
! ****** Graphics for current part ******
!
!----------------------------------- PART_9 -----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .Walking_Beam_Indexer.ground
!
part create rigid_body name_and_position  &
   part_name = .Walking_Beam_Indexer.PART_9  &
   adams_id = 9  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .Walking_Beam_Indexer.PART_9
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .Walking_Beam_Indexer.PART_9.MARKER_4  &
   adams_id = 4  &
   location = 10.517, 7.641, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
part create rigid_body mass_properties  &
   part_name = .Walking_Beam_Indexer.PART_9  &
   material_type = .Walking_Beam_Indexer.steel
!
! ****** Graphics for current part ******
!
geometry create curve circle  &
   circle_name = .Walking_Beam_Indexer.PART_9.CIRCLE_18  &
   adams_id = 18  &
   center_marker = .Walking_Beam_Indexer.PART_9.MARKER_4  &
   radius = 25.0  &
   segment_count = 20
!
geometry attributes  &
   geometry_name = .Walking_Beam_Indexer.PART_9.CIRCLE_18  &
   visibility = off
!
part attributes  &
   part_name = .Walking_Beam_Indexer.PART_9  &
   color = GREEN  &
   name_visibility = off
!
! ****** Graphics from Parasolid file ******
!
file parasolid read  &
   file_name = "Walking_Beam_Indexer.xmt_txt"  &
   model_name = .Walking_Beam_Indexer
!
geometry attributes  &
   geometry_name = .Walking_Beam_Indexer.Crank.SOLID1  &
   color = CYAN
!
geometry attributes  &
   geometry_name = .Walking_Beam_Indexer.Link.SOLID3  &
   color = WHITE
!
geometry attributes  &
   geometry_name = .Walking_Beam_Indexer.Place_Arm.SOLID4  &
   color = YELLOW
!
geometry attributes  &
   geometry_name = .Walking_Beam_Indexer.Walking_Beam.SOLID15  &
   color = WHITE
!
!----------------------------------- Joints -----------------------------------!
!
!
constraint create joint revolute  &
   joint_name = .Walking_Beam_Indexer.JOINT_1  &
   adams_id = 1  &
   i_marker_name = .Walking_Beam_Indexer.Crank.MARKER_6  &
   j_marker_name = .Walking_Beam_Indexer.ground.MARKER_7
!
constraint attributes  &
   constraint_name = .Walking_Beam_Indexer.JOINT_1  &
   name_visibility = off
!
constraint create joint revolute  &
   joint_name = .Walking_Beam_Indexer.JOINT_2  &
   adams_id = 2  &
   i_marker_name = .Walking_Beam_Indexer.Crank.MARKER_8  &
   j_marker_name = .Walking_Beam_Indexer.Walking_Beam.MARKER_9
!
constraint attributes  &
   constraint_name = .Walking_Beam_Indexer.JOINT_2  &
   name_visibility = off
!
constraint create joint revolute  &
   joint_name = .Walking_Beam_Indexer.JOINT_5  &
   adams_id = 5  &
   i_marker_name = .Walking_Beam_Indexer.Link.MARKER_14  &
   j_marker_name = .Walking_Beam_Indexer.Place_Arm.MARKER_15
!
constraint attributes  &
   constraint_name = .Walking_Beam_Indexer.JOINT_5  &
   name_visibility = off
!
constraint create joint revolute  &
   joint_name = .Walking_Beam_Indexer.JOINT_6  &
   adams_id = 6  &
   i_marker_name = .Walking_Beam_Indexer.Place_Arm.MARKER_16  &
   j_marker_name = .Walking_Beam_Indexer.ground.MARKER_17
!
constraint attributes  &
   constraint_name = .Walking_Beam_Indexer.JOINT_6  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = .Walking_Beam_Indexer.JOINT_7  &
   adams_id = 7  &
   i_marker_name = .Walking_Beam_Indexer.Platen_Left.MARKER_18  &
   j_marker_name = .Walking_Beam_Indexer.ground.MARKER_19
!
constraint attributes  &
   constraint_name = .Walking_Beam_Indexer.JOINT_7  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = .Walking_Beam_Indexer.JOINT_8  &
   adams_id = 8  &
   i_marker_name = .Walking_Beam_Indexer.Platen_Right.MARKER_20  &
   j_marker_name = .Walking_Beam_Indexer.ground.MARKER_21
!
constraint attributes  &
   constraint_name = .Walking_Beam_Indexer.JOINT_8  &
   name_visibility = off
!
!----------------------------------- Forces -----------------------------------!
!
!
!----------------------------- Simulation Scripts -----------------------------!
!
!
simulation script create  &
   sim_script_name = .Walking_Beam_Indexer.Last_Sim  &
   commands =   &
              "simulation single_run transient type=auto_select initial_static=no end_time=20.0 step_size=0.1 model_name=.Walking_Beam_Indexer"
!
!-------------------------- Adams/View UDE Instances --------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .Walking_Beam_Indexer.ground
!
undo begin_block suppress = yes
!
ude create instance  &
   instance_name = .Walking_Beam_Indexer.Driver_1  &
   definition_name = .amachinery.udes.ac_am_cylindrical_gear_element  &
   location = 0.0, 0.0, -5.0  &
   orientation = 0.0, 0.0, 0.0
!
ude attributes  &
   instance_name = .Walking_Beam_Indexer.Driver_1  &
   color = GREEN
!
marker create  &
   marker_name = .Walking_Beam_Indexer.Driver_1.gear_part.Driver_1_Driven_1_DForce_ref_marker_g1_1  &
   adams_id = 31  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .Walking_Beam_Indexer.Driver_1.gear_part.Driver_1_Driven_1_DForce_ref_marker_g1_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = .Walking_Beam_Indexer.Driver_1.gear_part.MARKER_13  &
   adams_id = 13  &
   location = 10.517, 7.641, 5.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
ude create instance  &
   instance_name = .Walking_Beam_Indexer.Driven_1  &
   definition_name = .amachinery.udes.ac_am_cylindrical_gear_element  &
   location = -51.0, 82.0, -5.0  &
   orientation = 0.0, 0.0, 0.0
!
ude attributes  &
   instance_name = .Walking_Beam_Indexer.Driven_1  &
   color = RED
!
marker create  &
   marker_name = .Walking_Beam_Indexer.Driven_1.gear_part.Driver_1_Driven_1_DForce_ref_marker_g2_1  &
   adams_id = 35  &
   location = 0.0, 0.0, 0.0  &
   orientation = 1.259193694d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .Walking_Beam_Indexer.Driven_1.gear_part.Driver_1_Driven_1_DForce_ref_marker_g2_1  &
   visibility = off  &
   name_visibility = off
!
floating_marker create  &
   floating_marker_name = .Walking_Beam_Indexer.Driven_1.gear_part.Driver_1_Driven_1_DForce_fl_marker_g2_1  &
   adams_id = 36
!
marker create  &
   marker_name = .Walking_Beam_Indexer.Driven_1.gear_part.MARKER_10  &
   adams_id = 10  &
   location = -11.695, 38.252, 5.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
ude create instance  &
   instance_name = .Walking_Beam_Indexer.Driver_1_Driven_1  &
   definition_name = .amachinery.udes.gear_set  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
ude create instance  &
   instance_name = .Walking_Beam_Indexer.Driver_1_Driven_1_DForce  &
   definition_name = .amachinery.udes.ac_am_spur_helical_gear_force  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.num_teeth  &
   integer_value = 72
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.module  &
   real_value = 1.35
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.alfa  &
   real_value = 20.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.beta  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.hand_of_helix  &
   string_value = "right"
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.width  &
   real_value = 10.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.shaft_radius  &
   real_value = 5.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.gear_type  &
   string_value = "external"
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.involute_def  &
   string_value = "standard"
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.profile_shifting  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.addendum_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.dedendum_factor  &
   real_value = 1.25
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.tip_radius  &
   real_value = 49.95
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.foot_radius  &
   real_value = 46.9125
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.tooth_thickness  &
   real_value = 2.1205750412
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.tip_relief_start  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.tip_relief_coeff  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.crown_magnitude  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.number_prof_points  &
   integer_value = 10
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.number_helix_layer  &
   integer_value = 5
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.rotation_angle  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.define_mass_by  &
   string_value = "user"
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.material_type  &
   string_value = ".materials.steel"
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.density  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.mass  &
   real_value = 3.2759163305
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.ixx  &
   real_value = 5.8384523718E+004
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.iyy  &
   real_value = 5.8020233886E+004
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.izz  &
   real_value = 613.3959665765
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.ixy  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.iyz  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.izx  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.conn_type  &
   string_value = "revolute"
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.cm_location_from_part_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.cm_location_from_part_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.cm_location_from_part_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.compliant_stiffness  &
   real_value =   &
      0.0,  &
      0.0,  &
      0.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.compliant_damping  &
   real_value =   &
      0.0,  &
      0.0,  &
      0.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.compliant_tstiffness  &
   real_value =   &
      0.0,  &
      0.0,  &
      0.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.compliant_tdamping  &
   real_value =   &
      0.0,  &
      0.0,  &
      0.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1.ref_marker  &
   object_value = .Walking_Beam_Indexer.ground.Driver_1_Ref_1
!
ude modify instance  &
   instance_name = .Walking_Beam_Indexer.Driver_1
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.num_teeth  &
   integer_value = 72
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.module  &
   real_value = 1.35
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.alfa  &
   real_value = 20.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.beta  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.hand_of_helix  &
   string_value = "right"
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.width  &
   real_value = 10.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.shaft_radius  &
   real_value = 10.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.gear_type  &
   string_value = "external"
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.involute_def  &
   string_value = "standard"
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.profile_shifting  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.addendum_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.dedendum_factor  &
   real_value = 1.25
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.tip_radius  &
   real_value = 49.95
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.foot_radius  &
   real_value = 46.9125
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.tooth_thickness  &
   real_value = 2.1205750412
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.tip_relief_start  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.tip_relief_coeff  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.crown_magnitude  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.number_prof_points  &
   integer_value = 10
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.number_helix_layer  &
   integer_value = 5
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.rotation_angle  &
   real_value = 1.259193694
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.define_mass_by  &
   string_value = "user"
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.material_type  &
   string_value = ".materials.steel"
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.density  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.mass  &
   real_value = 3.2759163305
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.ixx  &
   real_value = 5.8384523718E+004
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.iyy  &
   real_value = 5.8020233886E+004
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.izz  &
   real_value = 613.3959665765
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.ixy  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.iyz  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.izx  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.conn_type  &
   string_value = "revolute"
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.cm_location_from_part_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.cm_location_from_part_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.cm_location_from_part_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.compliant_stiffness  &
   real_value =   &
      0.0,  &
      0.0,  &
      0.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.compliant_damping  &
   real_value =   &
      0.0,  &
      0.0,  &
      0.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.compliant_tstiffness  &
   real_value =   &
      0.0,  &
      0.0,  &
      0.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.compliant_tdamping  &
   real_value =   &
      0.0,  &
      0.0,  &
      0.0
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driven_1.ref_marker  &
   object_value = .Walking_Beam_Indexer.ground.Driven_1_Ref_1
!
ude modify instance  &
   instance_name = .Walking_Beam_Indexer.Driven_1
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1_Driven_1_DForce.gear_1  &
   object_value = (.Walking_Beam_Indexer.Driver_1)
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1_Driven_1_DForce.gear_2  &
   object_value = (.Walking_Beam_Indexer.Driven_1)
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1_Driven_1_DForce.gear_s  &
   object_value = .Walking_Beam_Indexer.Driver_1_Driven_1
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1_Driven_1_DForce.contact_stiffness  &
   real_value = 1.0E+007
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1_Driven_1_DForce.contact_exponent  &
   real_value = 1.1
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1_Driven_1_DForce.contact_damping  &
   real_value = 1.0E+004
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1_Driven_1_DForce.contact_penetration  &
   real_value = 1.0E-002
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1_Driven_1_DForce.contact_static_friction_coeff  &
   real_value = 0.11
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1_Driven_1_DForce.contact_static_friction_vel  &
   real_value = 0.2
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1_Driven_1_DForce.contact_dynamic_friction_coeff  &
   real_value = 0.1
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1_Driven_1_DForce.contact_dynamic_friction_vel  &
   real_value = 0.5
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1_Driven_1_DForce.ref_marker_g1  &
   object_value = .Walking_Beam_Indexer.Driver_1.gear_part.Driver_1_Driven_1_DForce_ref_marker_g1_1
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1_Driven_1_DForce.ref_marker_g2  &
   object_value = .Walking_Beam_Indexer.Driven_1.gear_part.Driver_1_Driven_1_DForce_ref_marker_g2_1
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1_Driven_1_DForce.fl_marker_g2  &
   object_value = .Walking_Beam_Indexer.Driven_1.gear_part.Driver_1_Driven_1_DForce_fl_marker_g2_1
!
ude modify instance  &
   instance_name = .Walking_Beam_Indexer.Driver_1_Driven_1_DForce
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1_Driven_1.force_components  &
   object_value = .Walking_Beam_Indexer.Driver_1_Driven_1.Driver_1_Driven_1_DForce
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1_Driven_1.gear_components  &
   object_value =   &
      .Walking_Beam_Indexer.Driver_1,  &
      .Walking_Beam_Indexer.Driven_1
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1_Driven_1.gear_type  &
   string_value = "simplegear"
!
variable modify  &
   variable_name = .Walking_Beam_Indexer.Driver_1_Driven_1.force_type  &
   string_value = "detailed"
!
ude modify instance  &
   instance_name = .Walking_Beam_Indexer.Driver_1_Driven_1
!
undo end_block
!
!--------------------------- UDE Dependent Objects ----------------------------!
!
!
constraint create joint revolute  &
   joint_name = .Walking_Beam_Indexer.JOINT_3  &
   adams_id = 3  &
   i_marker_name = .Walking_Beam_Indexer.Driven_1.gear_part.MARKER_10  &
   j_marker_name = .Walking_Beam_Indexer.Walking_Beam.MARKER_11
!
constraint attributes  &
   constraint_name = .Walking_Beam_Indexer.JOINT_3  &
   name_visibility = off
!
constraint create joint revolute  &
   joint_name = .Walking_Beam_Indexer.JOINT_4  &
   adams_id = 4  &
   i_marker_name = .Walking_Beam_Indexer.Link.MARKER_12  &
   j_marker_name = .Walking_Beam_Indexer.Driver_1.gear_part.MARKER_13
!
constraint attributes  &
   constraint_name = .Walking_Beam_Indexer.JOINT_4  &
   name_visibility = off
!
!---------------------------------- Motions -----------------------------------!
!
!
constraint create motion_generator  &
   motion_name = .Walking_Beam_Indexer.MOTION_1  &
   adams_id = 1  &
   type_of_freedom = rotational  &
   joint_name = .Walking_Beam_Indexer.JOINT_1  &
   function = ""
!
constraint attributes  &
   constraint_name = .Walking_Beam_Indexer.MOTION_1  &
   name_visibility = off
!
!---------------------------------- Accgrav -----------------------------------!
!
!
force create body gravitational  &
   gravity_field_name = gravity  &
   x_component_gravity = 0.0  &
   y_component_gravity = -9806.65  &
   z_component_gravity = 0.0
!
!----------------------------- Analysis settings ------------------------------!
!
!
!---------------------------------- Measures ----------------------------------!
!
!
measure create function  &
   measure_name = .Walking_Beam_Indexer.Angle_PlaceArmtoGround  &
   function = ""  &
   units = "angle"
!
data_element attributes  &
   data_element_name = .Walking_Beam_Indexer.Angle_PlaceArmtoGround  &
   color = WHITE
!
measure create function  &
   measure_name = .Walking_Beam_Indexer.Stroke_Walking_Beam  &
   function = ""  &
   units = "length"
!
data_element attributes  &
   data_element_name = .Walking_Beam_Indexer.Stroke_Walking_Beam  &
   color = WHITE
!
!---------------------------- Adams/View Variables ----------------------------!
!
!
variable create  &
   variable_name = .Walking_Beam_Indexer.wizard_state  &
   integer_value = 1
!
!---------------------------- Function definitions ----------------------------!
!
!
constraint modify motion_generator  &
   motion_name = .Walking_Beam_Indexer.MOTION_1  &
   function = "30.0d * time"
!
measure modify function  &
   measure_name = .Walking_Beam_Indexer.Angle_PlaceArmtoGround  &
   function = "AZ(.Walking_Beam_Indexer.Place_Arm.MARKER_16, .Walking_Beam_Indexer.ground.MARKER_17)"
!
measure_display create  &
   mea_display = .Walking_Beam_Indexer.Angle_PlaceArmtoGround_display  &
   measure_name = .Walking_Beam_Indexer.Angle_PlaceArmtoGround
!
measure modify function  &
   measure_name = .Walking_Beam_Indexer.Stroke_Walking_Beam  &
   function = "(DY(.Walking_Beam_Indexer.Walking_Beam.MARKER_41, .Walking_Beam_Indexer.ground.MARKER_42, .Walking_Beam_Indexer.ground.MARKER_42)/ABS(DY(.Walking_Beam_Indexer.Walking_Beam.MARKER_41, .Walking_Beam_Indexer.ground.MARKER_42, .Walking_Beam_Indexer.ground.MARKER_42)) + 1) / 2 * DX(.Walking_Beam_Indexer.Walking_Beam.MARKER_41, .Walking_Beam_Indexer.ground.MARKER_42, .Walking_Beam_Indexer.ground.MARKER_42)"
!
measure_display create  &
   mea_display = .Walking_Beam_Indexer.Stroke_Walking_Beam_display  &
   measure_name = .Walking_Beam_Indexer.Stroke_Walking_Beam
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = .Walking_Beam_Indexer.Driver_1
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = .Walking_Beam_Indexer.Driven_1
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = .Walking_Beam_Indexer.Driver_1_Driven_1_DForce
!
ude modify instance  &
   instance_name = .Walking_Beam_Indexer.Driver_1_Driven_1
!
!--------------------------- Expression definitions ---------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ground
!
marker modify  &
   marker_name = .Walking_Beam_Indexer.ground.MARKER_7  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Walking_Beam_Indexer.ground.O2))
!
marker modify  &
   marker_name = .Walking_Beam_Indexer.ground.MARKER_17  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Walking_Beam_Indexer.ground.O6))
!
material modify  &
   material_name = .Walking_Beam_Indexer.steel  &
   youngs_modulus = (2.07E+011(Newton/meter**2))  &
   density = (7801.0(kg/meter**3))
!
marker modify  &
   marker_name = .Walking_Beam_Indexer.Crank.MARKER_6  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Walking_Beam_Indexer.ground.O2))  &
   relative_to = .Walking_Beam_Indexer.Crank
!
defaults coordinate_system  &
   default_coordinate_system = .Walking_Beam_Indexer.ground
!
geometry modify shape block  &
   block_name = .Walking_Beam_Indexer.Platen_Right.BOX_14  &
   diag_corner_coords =   &
      (25.0cm),  &
      (1.0cm),  &
      (3.0cm)
!
marker modify  &
   marker_name = .Walking_Beam_Indexer.Link.MARKER_12  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Walking_Beam_Indexer.ground.B))  &
   relative_to = .Walking_Beam_Indexer.Link
!
defaults coordinate_system  &
   default_coordinate_system = .Walking_Beam_Indexer.ground
!
marker modify  &
   marker_name = .Walking_Beam_Indexer.Place_Arm.MARKER_16  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Walking_Beam_Indexer.ground.O6))  &
   relative_to = .Walking_Beam_Indexer.Place_Arm
!
defaults coordinate_system  &
   default_coordinate_system = .Walking_Beam_Indexer.ground
!
marker modify  &
   marker_name = .Walking_Beam_Indexer.Platen_Left.MARKER_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Walking_Beam_Indexer.ground.F))  &
   relative_to = .Walking_Beam_Indexer.Platen_Left
!
defaults coordinate_system  &
   default_coordinate_system = .Walking_Beam_Indexer.ground
!
geometry modify shape block  &
   block_name = .Walking_Beam_Indexer.Platen_Left.BOX_14  &
   diag_corner_coords =   &
      (25.0cm),  &
      (1.0cm),  &
      (3.0cm)
!
marker modify  &
   marker_name = .Walking_Beam_Indexer.Walking_Beam.MARKER_11  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Walking_Beam_Indexer.ground.D))  &
   relative_to = .Walking_Beam_Indexer.Walking_Beam
!
defaults coordinate_system  &
   default_coordinate_system = .Walking_Beam_Indexer.ground
!
marker modify  &
   marker_name = .Walking_Beam_Indexer.PART_9.MARKER_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Walking_Beam_Indexer.ground.B))  &
   relative_to = .Walking_Beam_Indexer.PART_9
!
defaults coordinate_system  &
   default_coordinate_system = .Walking_Beam_Indexer.ground
!
geometry modify curve circle  &
   circle_name = .Walking_Beam_Indexer.PART_9.CIRCLE_18  &
   radius = (2.5cm)
!
marker modify  &
   marker_name = .Walking_Beam_Indexer.Driver_1.gear_part.Driver_1_Driven_1_DForce_ref_marker_g1_1  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}, .Walking_Beam_Indexer.Driver_1.ref_marker))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}, .Walking_Beam_Indexer.Driver_1.gear_part.gear_geometry_ref))  &
   relative_to = .Walking_Beam_Indexer.Driver_1.gear_part
!
defaults coordinate_system  &
   default_coordinate_system = .Walking_Beam_Indexer.ground
!
marker modify  &
   marker_name = .Walking_Beam_Indexer.Driver_1.gear_part.MARKER_13  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Walking_Beam_Indexer.ground.B))  &
   relative_to = .Walking_Beam_Indexer.Driver_1.gear_part
!
defaults coordinate_system  &
   default_coordinate_system = .Walking_Beam_Indexer.ground
!
ude modify instance  &
   instance_name = .Walking_Beam_Indexer.Driver_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Walking_Beam_Indexer.ground.Driver_1_Ref_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, .Walking_Beam_Indexer.ground.Driver_1_Ref_1))
!
marker modify  &
   marker_name = .Walking_Beam_Indexer.Driven_1.gear_part.Driver_1_Driven_1_DForce_ref_marker_g2_1  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}, .Walking_Beam_Indexer.Driven_1.ref_marker))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}, .Walking_Beam_Indexer.Driven_1.gear_part.gear_geometry_ref))  &
   relative_to = .Walking_Beam_Indexer.Driven_1.gear_part
!
defaults coordinate_system  &
   default_coordinate_system = .Walking_Beam_Indexer.ground
!
marker modify  &
   marker_name = .Walking_Beam_Indexer.Driven_1.gear_part.MARKER_10  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Walking_Beam_Indexer.ground.D))  &
   relative_to = .Walking_Beam_Indexer.Driven_1.gear_part
!
defaults coordinate_system  &
   default_coordinate_system = .Walking_Beam_Indexer.ground
!
ude modify instance  &
   instance_name = .Walking_Beam_Indexer.Driven_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Walking_Beam_Indexer.ground.Driven_1_Ref_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, .Walking_Beam_Indexer.ground.Driven_1_Ref_1))
!
model display  &
   model_name = Walking_Beam_Indexer
