!
!-------------------------- Default Units for Model ---------------------------!
!
!
defaults units  &
   length = mm  &
   angle = deg  &
   force = newton  &
   mass = kg  &
   time = sec
!
defaults units  &
   coordinate_system_type = cartesian  &
   orientation_type = body313
!
!------------------------ Default Attributes for Model ------------------------!
!
!
defaults attributes  &
   inheritance = bottom_up  &
   icon_visibility = on  &
   grid_visibility = off  &
   size_of_icons = 50.0  &
   spacing_for_grid = 1000.0
!
!--------------------------- Plugins used by Model ----------------------------!
!
!
plugin load  &
   plugin_name = .MDI.plugins.amachinery
!
!------------------------------ Adams/View Model ------------------------------!
!
!
model create  &
   model_name = Watts_Linkage
!
view erase
!
!--------------------------------- Materials ----------------------------------!
!
!
material create  &
   material_name = .Watts_Linkage.steel  &
   adams_id = 1  &
   youngs_modulus = 2.07E+005  &
   poissons_ratio = 0.29  &
   density = 7.801E-006
!
!-------------------------------- Rigid Parts ---------------------------------!
!
! Create parts and their dependent markers and graphics
!
!----------------------------------- ground -----------------------------------!
!
!
! ****** Ground Part ******
!
defaults model  &
   part_name = ground
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .Watts_Linkage.ground.Driven_2_Ref_2  &
   adams_id = 66  &
   location = 290.0, 100.0, -5.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Watts_Linkage.ground.MARKER_21  &
   adams_id = 21  &
   location = -200.0, 350.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Watts_Linkage.ground.MARKER_35  &
   adams_id = 35  &
   location = -200.0, 350.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Watts_Linkage.ground.MARKER_37  &
   adams_id = 37  &
   location = 200.0, 450.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Watts_Linkage.ground.MARKER_39  &
   adams_id = 39  &
   location = 0.0, 125.0, -35.1105450215  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Watts_Linkage.ground.MARKER_45  &
   adams_id = 45  &
   location = 0.0, 100.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker create  &
   marker_name = .Watts_Linkage.ground.MARKER_61  &
   adams_id = 61  &
   location = 290.0, 100.0, -17.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
part create rigid_body mass_properties  &
   part_name = .Watts_Linkage.ground  &
   material_type = .Watts_Linkage.steel
!
! ****** Points for current part ******
!
point create  &
   point_name = .Watts_Linkage.ground.O2  &
   location = -200.0, 350.0, 0.0
!
point create  &
   point_name = .Watts_Linkage.ground.O4  &
   location = 200.0, 450.0, 0.0
!
point create  &
   point_name = .Watts_Linkage.ground.O8  &
   location = 290.0, 100.0, -17.5
!
point create  &
   point_name = .Watts_Linkage.ground.A  &
   location = 0.0, 350.0, 0.0
!
point create  &
   point_name = .Watts_Linkage.ground.B  &
   location = 0.0, 450.0, 0.0
!
point create  &
   point_name = .Watts_Linkage.ground.C  &
   location = 300.0, 450.0, 0.0
!
point create  &
   point_name = .Watts_Linkage.ground.D  &
   location = 0.0, 100.0, 0.0
!
point create  &
   point_name = .Watts_Linkage.ground.E  &
   location = 320.0, 110.0, 0.0
!
point create  &
   point_name = .Watts_Linkage.ground.P  &
   location = 0.0, 400.0, 0.0
!
! ****** Graphics for current part ******
!
part attributes  &
   part_name = .Watts_Linkage.ground  &
   name_visibility = off
!
!--------------------------------- Gear_Link ----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
part create rigid_body name_and_position  &
   part_name = .Watts_Linkage.Gear_Link  &
   adams_id = 14  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.Gear_Link
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .Watts_Linkage.Gear_Link.MARKER_56  &
   adams_id = 56  &
   location = 290.0, 100.0, 0.0  &
   orientation = 18.4349488229d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Watts_Linkage.Gear_Link.MARKER_57  &
   adams_id = 57  &
   location = 320.0, 110.0, 0.0  &
   orientation = 18.4349488229d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Watts_Linkage.Gear_Link.cm  &
   adams_id = 68  &
   location = 305.0, 105.0, 0.0  &
   orientation = 288.4349488229d, 90.0000000035d, 90.0000000245d
!
marker create  &
   marker_name = .Watts_Linkage.Gear_Link.MARKER_58  &
   adams_id = 58  &
   location = 320.0, 110.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Watts_Linkage.Gear_Link.MARKER_60  &
   adams_id = 60  &
   location = 290.0, 100.0, -17.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
part create rigid_body mass_properties  &
   part_name = .Watts_Linkage.Gear_Link  &
   material_type = .Watts_Linkage.steel
!
! ****** Graphics for current part ******
!
geometry create shape link  &
   link_name = .Watts_Linkage.Gear_Link.LINK_27  &
   i_marker = .Watts_Linkage.Gear_Link.MARKER_56  &
   j_marker = .Watts_Linkage.Gear_Link.MARKER_57  &
   width = 10.0  &
   depth = 5.0
!
part attributes  &
   part_name = .Watts_Linkage.Gear_Link  &
   color = GREEN  &
   name_visibility = off
!
!---------------------------------- Cylinder ----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
part create rigid_body name_and_position  &
   part_name = .Watts_Linkage.Cylinder  &
   adams_id = 3  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.Cylinder
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .Watts_Linkage.Cylinder.MARKER_1  &
   adams_id = 1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker create  &
   marker_name = .Watts_Linkage.Cylinder.cm  &
   adams_id = 48  &
   location = 0.0, 125.0, -35.1105450215  &
   orientation = 180.0d, 90.0d, 90.0d
!
marker create  &
   marker_name = .Watts_Linkage.Cylinder.MARKER_2  &
   adams_id = 2  &
   location = -60.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Watts_Linkage.Cylinder.MARKER_3  &
   adams_id = 3  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker create  &
   marker_name = .Watts_Linkage.Cylinder.MARKER_38  &
   adams_id = 38  &
   location = 0.0, 125.0, -35.1105450215  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Watts_Linkage.Cylinder.MARKER_43  &
   adams_id = 43  &
   location = 0.0, 100.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
part create rigid_body mass_properties  &
   part_name = .Watts_Linkage.Cylinder  &
   material_type = .Watts_Linkage.steel
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = .Watts_Linkage.Cylinder.CYLINDER_13  &
   adams_id = 13  &
   center_marker = .Watts_Linkage.Cylinder.MARKER_1  &
   angle_extent = 360.0  &
   length = 250.0  &
   radius = 60.0  &
   side_count_for_body = 20  &
   segment_count_for_ends = 20
!
geometry create shape block  &
   block_name = .Watts_Linkage.Cylinder.BOX_14  &
   adams_id = 14  &
   corner_marker = .Watts_Linkage.Cylinder.MARKER_2  &
   diag_corner_coords = 120.0, 250.0, 60.0
!
geometry create shape csg  &
   csg_name = .Watts_Linkage.Cylinder.CSG_15  &
   adams_id = 15  &
   base_object = .Watts_Linkage.Cylinder.CYLINDER_13  &
   object = .Watts_Linkage.Cylinder.BOX_14  &
   type = difference
!
geometry create shape cylinder  &
   cylinder_name = .Watts_Linkage.Cylinder.CYLINDER_16  &
   adams_id = 16  &
   center_marker = .Watts_Linkage.Cylinder.MARKER_3  &
   angle_extent = 360.0  &
   length = 250.0  &
   radius = 50.0  &
   side_count_for_body = 20  &
   segment_count_for_ends = 20
!
geometry create shape csg  &
   csg_name = .Watts_Linkage.Cylinder.CSG_17  &
   adams_id = 17  &
   base_object = .Watts_Linkage.Cylinder.CSG_15  &
   object = .Watts_Linkage.Cylinder.CYLINDER_16  &
   type = difference
!
part attributes  &
   part_name = .Watts_Linkage.Cylinder  &
   color = BLUE  &
   name_visibility = off
!
!----------------------------------- Piston -----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
part create rigid_body name_and_position  &
   part_name = .Watts_Linkage.Piston  &
   adams_id = 4  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.Piston
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .Watts_Linkage.Piston.MARKER_4  &
   adams_id = 4  &
   location = 0.0, 100.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker create  &
   marker_name = .Watts_Linkage.Piston.cm  &
   adams_id = 49  &
   location = 0.0, 90.0, 0.0  &
   orientation = 90.0d, 90.0d, 0.0d
!
marker create  &
   marker_name = .Watts_Linkage.Piston.MARKER_33  &
   adams_id = 33  &
   location = 0.0, 100.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Watts_Linkage.Piston.MARKER_42  &
   adams_id = 42  &
   location = 0.0, 100.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker create  &
   marker_name = .Watts_Linkage.Piston.MARKER_44  &
   adams_id = 44  &
   location = 0.0, 100.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
part create rigid_body mass_properties  &
   part_name = .Watts_Linkage.Piston  &
   density = 7.801E-005
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = .Watts_Linkage.Piston.CYLINDER_18  &
   adams_id = 18  &
   center_marker = .Watts_Linkage.Piston.MARKER_4  &
   angle_extent = 360.0  &
   length = 20.0  &
   radius = 50.0  &
   side_count_for_body = 20  &
   segment_count_for_ends = 20
!
part attributes  &
   part_name = .Watts_Linkage.Piston  &
   color = RED  &
   name_visibility = off
!
!------------------------------ Ground_Support1 -------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
part create rigid_body name_and_position  &
   part_name = .Watts_Linkage.Ground_Support1  &
   adams_id = 5  &
   location = 0.0, 0.0, -52.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.Ground_Support1
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .Watts_Linkage.Ground_Support1.MARKER_5  &
   adams_id = 5  &
   location = -220.0, 330.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Watts_Linkage.Ground_Support1.cm  &
   adams_id = 50  &
   location = -200.0, 350.0, 20.0220676585  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Watts_Linkage.Ground_Support1.MARKER_34  &
   adams_id = 34  &
   location = -200.0, 350.0, 52.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
part create rigid_body mass_properties  &
   part_name = .Watts_Linkage.Ground_Support1  &
   material_type = .Watts_Linkage.steel
!
! ****** Graphics for current part ******
!
geometry create shape block  &
   block_name = .Watts_Linkage.Ground_Support1.BOX_19  &
   adams_id = 19  &
   corner_marker = .Watts_Linkage.Ground_Support1.MARKER_5  &
   diag_corner_coords = 40.0, 40.0, 40.0
!
geometry create feature hole  &
   hole_name = .Watts_Linkage.Ground_Support1.BOX_19.HOLE_1  &
   center = -200.0, 350.0, -12.5  &
   radius = 2.0  &
   depth = 5.0  &
   countersink = yes
!
part attributes  &
   part_name = .Watts_Linkage.Ground_Support1  &
   color = Gray
!
!------------------------------ Ground_Support2 -------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
part create rigid_body name_and_position  &
   part_name = .Watts_Linkage.Ground_Support2  &
   adams_id = 6  &
   location = 400.0, 100.0, -42.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.Ground_Support2
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .Watts_Linkage.Ground_Support2.MARKER_5  &
   adams_id = 6  &
   location = -220.0, 330.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Watts_Linkage.Ground_Support2.cm  &
   adams_id = 7  &
   location = -200.0, 350.0, 20.0220676585  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Watts_Linkage.Ground_Support2.MARKER_31  &
   adams_id = 31  &
   location = -200.0, 350.0, 42.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Watts_Linkage.Ground_Support2.MARKER_36  &
   adams_id = 36  &
   location = -200.0, 350.0, 42.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
part create rigid_body mass_properties  &
   part_name = .Watts_Linkage.Ground_Support2  &
   material_type = .Watts_Linkage.steel
!
! ****** Graphics for current part ******
!
geometry create shape block  &
   block_name = .Watts_Linkage.Ground_Support2.BOX_19  &
   adams_id = 20  &
   corner_marker = .Watts_Linkage.Ground_Support2.MARKER_5  &
   diag_corner_coords = 40.0, 40.0, 40.0
!
geometry create feature hole  &
   hole_name = .Watts_Linkage.Ground_Support2.BOX_19.HOLE_1  &
   center = 200.0, 450.0, -2.5  &
   radius = 2.0  &
   depth = 5.0  &
   countersink = yes
!
part attributes  &
   part_name = .Watts_Linkage.Ground_Support2  &
   color = Gray
!
!-------------------------------- Piston_Link ---------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
part create rigid_body name_and_position  &
   part_name = .Watts_Linkage.Piston_Link  &
   adams_id = 7  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.Piston_Link
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .Watts_Linkage.Piston_Link.MARKER_8  &
   adams_id = 8  &
   location = 0.0, 100.0, 0.0  &
   orientation = 90.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Watts_Linkage.Piston_Link.MARKER_9  &
   adams_id = 9  &
   location = 0.0, 400.0, 0.0  &
   orientation = 90.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Watts_Linkage.Piston_Link.cm  &
   adams_id = 51  &
   location = 0.0, 250.0, 0.0  &
   orientation = 180.0d, 90.0d, 90.0d
!
marker create  &
   marker_name = .Watts_Linkage.Piston_Link.MARKER_25  &
   adams_id = 25  &
   location = 0.0, 400.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Watts_Linkage.Piston_Link.MARKER_32  &
   adams_id = 32  &
   location = 0.0, 100.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
part create rigid_body mass_properties  &
   part_name = .Watts_Linkage.Piston_Link  &
   material_type = .Watts_Linkage.steel
!
! ****** Graphics for current part ******
!
geometry create shape link  &
   link_name = .Watts_Linkage.Piston_Link.LINK_21  &
   i_marker = .Watts_Linkage.Piston_Link.MARKER_8  &
   j_marker = .Watts_Linkage.Piston_Link.MARKER_9  &
   width = 20.0  &
   depth = 5.0
!
part attributes  &
   part_name = .Watts_Linkage.Piston_Link  &
   color = YELLOW  &
   name_visibility = off
!
!--------------------------------- Lower_Link ---------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
part create rigid_body name_and_position  &
   part_name = .Watts_Linkage.Lower_Link  &
   adams_id = 8  &
   location = 0.0, 0.0, -10.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.Lower_Link
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .Watts_Linkage.Lower_Link.MARKER_10  &
   adams_id = 10  &
   location = -200.0, 350.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Watts_Linkage.Lower_Link.MARKER_11  &
   adams_id = 11  &
   location = 0.0, 350.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Watts_Linkage.Lower_Link.cm  &
   adams_id = 52  &
   location = -100.0, 350.0, 0.0  &
   orientation = 270.0d, 90.0d, 90.0d
!
marker create  &
   marker_name = .Watts_Linkage.Lower_Link.MARKER_20  &
   adams_id = 20  &
   location = -200.0, 350.0, 10.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Watts_Linkage.Lower_Link.MARKER_23  &
   adams_id = 23  &
   location = 0.0, 350.0, 10.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
part create rigid_body mass_properties  &
   part_name = .Watts_Linkage.Lower_Link  &
   material_type = .Watts_Linkage.steel
!
! ****** Graphics for current part ******
!
geometry create shape link  &
   link_name = .Watts_Linkage.Lower_Link.LINK_22  &
   i_marker = .Watts_Linkage.Lower_Link.MARKER_10  &
   j_marker = .Watts_Linkage.Lower_Link.MARKER_11  &
   width = 10.0  &
   depth = 5.0
!
part attributes  &
   part_name = .Watts_Linkage.Lower_Link  &
   color = GREEN  &
   name_visibility = off
!
!--------------------------------- Upper_Link ---------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
part create rigid_body name_and_position  &
   part_name = .Watts_Linkage.Upper_Link  &
   adams_id = 11  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.Upper_Link
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .Watts_Linkage.Upper_Link.MARKER_16  &
   adams_id = 16  &
   location = 0.0, 450.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Watts_Linkage.Upper_Link.MARKER_17  &
   adams_id = 17  &
   location = 300.0, 450.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Watts_Linkage.Upper_Link.cm  &
   adams_id = 54  &
   location = 150.0, 450.0, 0.0  &
   orientation = 270.0d, 90.0d, 90.0d
!
marker create  &
   marker_name = .Watts_Linkage.Upper_Link.MARKER_27  &
   adams_id = 27  &
   location = 0.0, 450.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Watts_Linkage.Upper_Link.MARKER_28  &
   adams_id = 28  &
   location = 300.0, 450.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Watts_Linkage.Upper_Link.MARKER_30  &
   adams_id = 30  &
   location = 200.0, 450.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
part create rigid_body mass_properties  &
   part_name = .Watts_Linkage.Upper_Link  &
   material_type = .Watts_Linkage.steel
!
! ****** Graphics for current part ******
!
geometry create shape link  &
   link_name = .Watts_Linkage.Upper_Link.LINK_24  &
   i_marker = .Watts_Linkage.Upper_Link.MARKER_16  &
   j_marker = .Watts_Linkage.Upper_Link.MARKER_17  &
   width = 10.0  &
   depth = 5.0
!
part attributes  &
   part_name = .Watts_Linkage.Upper_Link  &
   color = CYAN  &
   name_visibility = off
!
!-------------------------------- Middle_Link ---------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
part create rigid_body name_and_position  &
   part_name = .Watts_Linkage.Middle_Link  &
   adams_id = 10  &
   location = 0.0, 0.0, -5.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.Middle_Link
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .Watts_Linkage.Middle_Link.MARKER_14  &
   adams_id = 14  &
   location = 0.0, 350.0, 0.0  &
   orientation = 90.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Watts_Linkage.Middle_Link.MARKER_15  &
   adams_id = 15  &
   location = 0.0, 450.0, 0.0  &
   orientation = 90.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Watts_Linkage.Middle_Link.cm  &
   adams_id = 53  &
   location = 0.0, 400.0, 0.0  &
   orientation = 180.0d, 90.0d, 90.0d
!
marker create  &
   marker_name = .Watts_Linkage.Middle_Link.MARKER_22  &
   adams_id = 22  &
   location = 0.0, 350.0, 5.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Watts_Linkage.Middle_Link.MARKER_24  &
   adams_id = 24  &
   location = 0.0, 400.0, 5.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Watts_Linkage.Middle_Link.MARKER_26  &
   adams_id = 26  &
   location = 0.0, 450.0, 5.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
part create rigid_body mass_properties  &
   part_name = .Watts_Linkage.Middle_Link  &
   material_type = .Watts_Linkage.steel
!
! ****** Graphics for current part ******
!
geometry create shape link  &
   link_name = .Watts_Linkage.Middle_Link.LINK_24  &
   i_marker = .Watts_Linkage.Middle_Link.MARKER_14  &
   j_marker = .Watts_Linkage.Middle_Link.MARKER_15  &
   width = 30.0  &
   depth = 5.0
!
part attributes  &
   part_name = .Watts_Linkage.Middle_Link  &
   color = RED  &
   name_visibility = off
!
!--------------------------------- Drive_Link ---------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
part create rigid_body name_and_position  &
   part_name = .Watts_Linkage.Drive_Link  &
   adams_id = 12  &
   location = 1.7789554552E-008, 1.4986323293E-009, 5.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.Drive_Link
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .Watts_Linkage.Drive_Link.MARKER_18  &
   adams_id = 18  &
   location = 300.0, 450.0, 0.0  &
   orientation = 273.3664606634d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Watts_Linkage.Drive_Link.MARKER_19  &
   adams_id = 19  &
   location = 320.0, 110.0, 0.0  &
   orientation = 273.3664606634d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Watts_Linkage.Drive_Link.cm  &
   adams_id = 55  &
   location = 310.0, 280.0, 0.0  &
   orientation = 183.3664606634d, 90.0000000052d, 90.0000002045d
!
marker create  &
   marker_name = .Watts_Linkage.Drive_Link.Driver_2_Ref_2  &
   adams_id = 67  &
   location = 319.9999999822, 109.9999999985, -10.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .Watts_Linkage.Drive_Link.MARKER_29  &
   adams_id = 29  &
   location = 299.9999999822, 449.9999999985, -5.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
part create rigid_body mass_properties  &
   part_name = .Watts_Linkage.Drive_Link  &
   material_type = .Watts_Linkage.steel
!
! ****** Graphics for current part ******
!
geometry create shape link  &
   link_name = .Watts_Linkage.Drive_Link.LINK_25  &
   i_marker = .Watts_Linkage.Drive_Link.MARKER_18  &
   j_marker = .Watts_Linkage.Drive_Link.MARKER_19  &
   width = 10.0  &
   depth = 5.0
!
part attributes  &
   part_name = .Watts_Linkage.Drive_Link  &
   color = MAIZE  &
   name_visibility = off
!
!----------------------------------- Wheel ------------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
part create rigid_body name_and_position  &
   part_name = .Watts_Linkage.Wheel  &
   adams_id = 15  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.Wheel
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .Watts_Linkage.Wheel.PSMAR  &
   adams_id = 69  &
   location = 290.0, 100.0, -17.5  &
   orientation = 18.43d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .Watts_Linkage.Wheel.PSMAR  &
   visibility = off
!
marker create  &
   marker_name = .Watts_Linkage.Wheel.MARKER_62  &
   adams_id = 62  &
   location = 290.0, 100.0, -17.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
! ****** Graphics for current part ******
!
! ****** Graphics from Parasolid file ******
!
file parasolid read  &
   file_name = "Watts_Linkage.xmt_txt"  &
   model_name = .Watts_Linkage
!
geometry attributes  &
   geometry_name = .Watts_Linkage.Wheel.SOLID22  &
   color = Aquamarine
!
!----------------------------------- Joints -----------------------------------!
!
!
constraint create joint revolute  &
   joint_name = .Watts_Linkage.JOINT_1  &
   adams_id = 1  &
   i_marker_name = .Watts_Linkage.Lower_Link.MARKER_20  &
   j_marker_name = .Watts_Linkage.ground.MARKER_21
!
constraint attributes  &
   constraint_name = .Watts_Linkage.JOINT_1  &
   name_visibility = off
!
constraint create joint revolute  &
   joint_name = .Watts_Linkage.JOINT_2  &
   adams_id = 2  &
   i_marker_name = .Watts_Linkage.Middle_Link.MARKER_22  &
   j_marker_name = .Watts_Linkage.Lower_Link.MARKER_23
!
constraint attributes  &
   constraint_name = .Watts_Linkage.JOINT_2  &
   name_visibility = off
!
constraint create joint revolute  &
   joint_name = .Watts_Linkage.JOINT_3  &
   adams_id = 3  &
   i_marker_name = .Watts_Linkage.Middle_Link.MARKER_24  &
   j_marker_name = .Watts_Linkage.Piston_Link.MARKER_25
!
constraint attributes  &
   constraint_name = .Watts_Linkage.JOINT_3  &
   name_visibility = off
!
constraint create joint revolute  &
   joint_name = .Watts_Linkage.JOINT_4  &
   adams_id = 4  &
   i_marker_name = .Watts_Linkage.Middle_Link.MARKER_26  &
   j_marker_name = .Watts_Linkage.Upper_Link.MARKER_27
!
constraint attributes  &
   constraint_name = .Watts_Linkage.JOINT_4  &
   name_visibility = off
!
constraint create joint revolute  &
   joint_name = .Watts_Linkage.JOINT_5  &
   adams_id = 5  &
   i_marker_name = .Watts_Linkage.Upper_Link.MARKER_28  &
   j_marker_name = .Watts_Linkage.Drive_Link.MARKER_29
!
constraint attributes  &
   constraint_name = .Watts_Linkage.JOINT_5  &
   name_visibility = off
!
constraint create joint revolute  &
   joint_name = .Watts_Linkage.JOINT_6  &
   adams_id = 6  &
   i_marker_name = .Watts_Linkage.Upper_Link.MARKER_30  &
   j_marker_name = .Watts_Linkage.Ground_Support2.MARKER_31
!
constraint attributes  &
   constraint_name = .Watts_Linkage.JOINT_6  &
   name_visibility = off
!
constraint create joint revolute  &
   joint_name = .Watts_Linkage.JOINT_7  &
   adams_id = 7  &
   i_marker_name = .Watts_Linkage.Piston_Link.MARKER_32  &
   j_marker_name = .Watts_Linkage.Piston.MARKER_33
!
constraint attributes  &
   constraint_name = .Watts_Linkage.JOINT_7  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = .Watts_Linkage.JOINT_8  &
   adams_id = 8  &
   i_marker_name = .Watts_Linkage.Ground_Support1.MARKER_34  &
   j_marker_name = .Watts_Linkage.ground.MARKER_35
!
constraint attributes  &
   constraint_name = .Watts_Linkage.JOINT_8  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = .Watts_Linkage.JOINT_9  &
   adams_id = 9  &
   i_marker_name = .Watts_Linkage.Ground_Support2.MARKER_36  &
   j_marker_name = .Watts_Linkage.ground.MARKER_37
!
constraint attributes  &
   constraint_name = .Watts_Linkage.JOINT_9  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = .Watts_Linkage.JOINT_10  &
   adams_id = 10  &
   i_marker_name = .Watts_Linkage.Cylinder.MARKER_38  &
   j_marker_name = .Watts_Linkage.ground.MARKER_39
!
constraint attributes  &
   constraint_name = .Watts_Linkage.JOINT_10  &
   name_visibility = off
!
constraint create joint translational  &
   joint_name = .Watts_Linkage.JOINT_12  &
   adams_id = 12  &
   i_marker_name = .Watts_Linkage.Piston.MARKER_42  &
   j_marker_name = .Watts_Linkage.Cylinder.MARKER_43  &
   translational_ic = 86.0  &
   velocity_ic = 0.0
!
constraint attributes  &
   constraint_name = .Watts_Linkage.JOINT_12  &
   name_visibility = off
!
constraint create joint revolute  &
   joint_name = .Watts_Linkage.JOINT_14  &
   adams_id = 14  &
   i_marker_name = .Watts_Linkage.Gear_Link.MARKER_60  &
   j_marker_name = .Watts_Linkage.ground.MARKER_61
!
constraint attributes  &
   constraint_name = .Watts_Linkage.JOINT_14  &
   name_visibility = off
!
!----------------------------------- Forces -----------------------------------!
!
!
force create direct single_component_force  &
   single_component_force_name = .Watts_Linkage.SFORCE_1  &
   adams_id = 1  &
   type_of_freedom = translational  &
   i_marker_name = .Watts_Linkage.Piston.MARKER_44  &
   j_marker_name = .Watts_Linkage.ground.MARKER_45  &
   action_only = on  &
   function = ""
!
!----------------------------- Simulation Scripts -----------------------------!
!
!
simulation script create  &
   sim_script_name = .Watts_Linkage.Last_Sim  &
   commands =   &
              "simulation single_run transient type=auto_select initial_static=no end_time=1.0 step_size=1.0E-002 model_name=.Watts_Linkage"
!
!-------------------------- Adams/View UDE Instances --------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
undo begin_block suppress = yes
!
ude create instance  &
   instance_name = .Watts_Linkage.Driver_2  &
   definition_name = .amachinery.udes.ac_am_cylindrical_gear_element  &
   location = 320.0, 110.0, -5.0  &
   orientation = 0.0, 0.0, 0.0
!
ude attributes  &
   instance_name = .Watts_Linkage.Driver_2  &
   color = MAIZE
!
marker create  &
   marker_name = .Watts_Linkage.Driver_2.gear_part.MARKER_59  &
   adams_id = 59  &
   location = 0.0, 0.0, 5.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
ude create instance  &
   instance_name = .Watts_Linkage.Driven_2  &
   definition_name = .amachinery.udes.ac_am_cylindrical_gear_element  &
   location = 290.0, 100.0, -5.0  &
   orientation = 0.0, 0.0, 0.0
!
ude attributes  &
   instance_name = .Watts_Linkage.Driven_2  &
   color = Aquamarine
!
marker create  &
   marker_name = .Watts_Linkage.Driven_2.gear_part.MARKER_63  &
   adams_id = 63  &
   location = 0.0, 0.0, -12.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
ude create instance  &
   instance_name = .Watts_Linkage.Driver_2_Driven_2  &
   definition_name = .amachinery.udes.gear_set  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
ude create instance  &
   instance_name = .Watts_Linkage.Driver_2_Driven_2_CForce  &
   definition_name = .amachinery.udes.ac_am_3D_helical_gear_force  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.num_teeth  &
   integer_value = 31
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.module  &
   real_value = 1.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.alfa  &
   real_value = 15.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.beta  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.hand_of_helix  &
   string_value = "right"
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.width  &
   real_value = 5.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.shaft_radius  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.gear_type  &
   string_value = "external"
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.involute_def  &
   string_value = "standard"
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.profile_shifting  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.addendum_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.dedendum_factor  &
   real_value = 1.25
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.tip_radius  &
   real_value = 16.5
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.foot_radius  &
   real_value = 14.25
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.tooth_thickness  &
   real_value = 1.5707963268
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.tip_relief_start  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.tip_relief_coeff  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.crown_magnitude  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.number_prof_points  &
   integer_value = 10
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.number_helix_layer  &
   integer_value = 5
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.rotation_angle  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.define_mass_by  &
   string_value = "user"
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.material_type  &
   string_value = ".materials.steel"
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.density  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.mass  &
   real_value = 3.2759163305
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.ixx  &
   real_value = 5.8384523718E+004
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.iyy  &
   real_value = 5.8020233886E+004
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.izz  &
   real_value = 613.3959665765
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.ixy  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.iyz  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.izx  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.conn_type  &
   string_value = "fixed"
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.cm_location_from_part_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.cm_location_from_part_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.cm_location_from_part_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.compliant_stiffness  &
   real_value =   &
      0.0,  &
      0.0,  &
      0.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.compliant_damping  &
   real_value =   &
      0.0,  &
      0.0,  &
      0.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.compliant_tstiffness  &
   real_value =   &
      0.0,  &
      0.0,  &
      0.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.compliant_tdamping  &
   real_value =   &
      0.0,  &
      0.0,  &
      0.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2.ref_marker  &
   object_value = .Watts_Linkage.Drive_Link.Driver_2_Ref_2
!
ude modify instance  &
   instance_name = .Watts_Linkage.Driver_2
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.num_teeth  &
   integer_value = 31
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.module  &
   real_value = 1.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.alfa  &
   real_value = 15.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.beta  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.hand_of_helix  &
   string_value = "right"
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.width  &
   real_value = 5.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.shaft_radius  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.gear_type  &
   string_value = "external"
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.involute_def  &
   string_value = "standard"
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.profile_shifting  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.addendum_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.dedendum_factor  &
   real_value = 1.25
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.tip_radius  &
   real_value = 16.5
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.foot_radius  &
   real_value = 14.25
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.tooth_thickness  &
   real_value = 1.5707963268
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.tip_relief_start  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.tip_relief_coeff  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.crown_magnitude  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.number_prof_points  &
   integer_value = 10
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.number_helix_layer  &
   integer_value = 5
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.rotation_angle  &
   real_value = 2.0311879684
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.define_mass_by  &
   string_value = "user"
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.material_type  &
   string_value = ".materials.steel"
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.density  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.mass  &
   real_value = 3.2759163305
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.ixx  &
   real_value = 5.8384523718E+004
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.iyy  &
   real_value = 5.8020233886E+004
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.izz  &
   real_value = 613.3959665765
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.ixy  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.iyz  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.izx  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.conn_type  &
   string_value = "revolute"
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.cm_location_from_part_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.cm_location_from_part_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.cm_location_from_part_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.compliant_stiffness  &
   real_value =   &
      0.0,  &
      0.0,  &
      0.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.compliant_damping  &
   real_value =   &
      0.0,  &
      0.0,  &
      0.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.compliant_tstiffness  &
   real_value =   &
      0.0,  &
      0.0,  &
      0.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.compliant_tdamping  &
   real_value =   &
      0.0,  &
      0.0,  &
      0.0
!
variable modify  &
   variable_name = .Watts_Linkage.Driven_2.ref_marker  &
   object_value = .Watts_Linkage.ground.Driven_2_Ref_2
!
ude modify instance  &
   instance_name = .Watts_Linkage.Driven_2
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2_Driven_2_CForce.gear_1  &
   object_value = .Watts_Linkage.Driver_2
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2_Driven_2_CForce.gear_2  &
   object_value = .Watts_Linkage.Driven_2
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2_Driven_2_CForce.gear_s  &
   object_value = .Watts_Linkage.Driver_2_Driven_2
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2_Driven_2_CForce.contact_stiffness  &
   real_value = 1.0E+007
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2_Driven_2_CForce.contact_exponent  &
   real_value = 1.1
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2_Driven_2_CForce.contact_damping  &
   real_value = 1.0E+004
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2_Driven_2_CForce.contact_penetration  &
   real_value = 1.0E-002
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2_Driven_2_CForce.contact_static_friction_coeff  &
   real_value = 0.11
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2_Driven_2_CForce.contact_static_friction_vel  &
   real_value = 0.2
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2_Driven_2_CForce.contact_dynamic_friction_coeff  &
   real_value = 0.1
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2_Driven_2_CForce.contact_dynamic_friction_vel  &
   real_value = 0.5
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2_Driven_2_CForce.gear_geometry_1  &
   object_value = .Watts_Linkage.Driver_2.gear_part.gear_geometry
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2_Driven_2_CForce.gear_geometry_2  &
   object_value = .Watts_Linkage.Driven_2.gear_part.gear_geometry
!
ude modify instance  &
   instance_name = .Watts_Linkage.Driver_2_Driven_2_CForce
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2_Driven_2.force_components  &
   object_value = .Watts_Linkage.Driver_2_Driven_2.Driver_2_Driven_2_CForce
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2_Driven_2.gear_components  &
   object_value =   &
      .Watts_Linkage.Driver_2,  &
      .Watts_Linkage.Driven_2
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2_Driven_2.gear_type  &
   string_value = "simplegear"
!
variable modify  &
   variable_name = .Watts_Linkage.Driver_2_Driven_2.force_type  &
   string_value = "geometry3D"
!
ude modify instance  &
   instance_name = .Watts_Linkage.Driver_2_Driven_2
!
undo end_block
!
!--------------------------- UDE Dependent Objects ----------------------------!
!
!
constraint create joint revolute  &
   joint_name = .Watts_Linkage.JOINT_13  &
   adams_id = 13  &
   i_marker_name = .Watts_Linkage.Gear_Link.MARKER_58  &
   j_marker_name = .Watts_Linkage.Driver_2.gear_part.MARKER_59
!
constraint attributes  &
   constraint_name = .Watts_Linkage.JOINT_13  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = .Watts_Linkage.JOINT_15  &
   adams_id = 15  &
   i_marker_name = .Watts_Linkage.Wheel.MARKER_62  &
   j_marker_name = .Watts_Linkage.Driven_2.gear_part.MARKER_63
!
constraint attributes  &
   constraint_name = .Watts_Linkage.JOINT_15  &
   name_visibility = off
!
!------------------------------ Dynamic Graphics ------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
geometry create shape force  &
   force_name = .Watts_Linkage.SFORCE_1_force_graphic_1  &
   adams_id = 21  &
   force_element_name = .Watts_Linkage.SFORCE_1  &
   applied_at_marker_name = .Watts_Linkage.Piston.MARKER_44
!
!---------------------------------- Accgrav -----------------------------------!
!
!
force create body gravitational  &
   gravity_field_name = gravity  &
   x_component_gravity = 0.0  &
   y_component_gravity = -9806.65  &
   z_component_gravity = 0.0
!
!----------------------------- Analysis settings ------------------------------!
!
!
!---------------------------- Adams/View Variables ----------------------------!
!
!
variable create  &
   variable_name = .Watts_Linkage.wizard_state  &
   integer_value = 1
!
!---------------------------- Function definitions ----------------------------!
!
!
force modify direct single_component_force  &
   single_component_force_name = .Watts_Linkage.SFORCE_1  &
   function = "120*(STEP(time, 0.25, 0.0, 0.26, 1) + STEP(time, 0.27, 0.0, 0.28, -1) +STEP(time, 0.55, 0.0, 0.56, 1) + STEP(time, 0.57, 0.0, 0.58, -1) +STEP(time, 0.81, 0.0, 0.82, 1) + STEP(time, 0.83, 0.0, 0.84, -1))"
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = .Watts_Linkage.Driver_2
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = .Watts_Linkage.Driven_2
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = .Watts_Linkage.Driver_2_Driven_2_CForce
!
ude modify instance  &
   instance_name = .Watts_Linkage.Driver_2_Driven_2
!
!--------------------------- Expression definitions ---------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ground
!
marker modify  &
   marker_name = .Watts_Linkage.ground.MARKER_21  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Watts_Linkage.ground.O2))
!
marker modify  &
   marker_name = .Watts_Linkage.ground.MARKER_35  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Watts_Linkage.ground.O2))
!
marker modify  &
   marker_name = .Watts_Linkage.ground.MARKER_37  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Watts_Linkage.ground.O4))
!
marker modify  &
   marker_name = .Watts_Linkage.ground.MARKER_45  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Watts_Linkage.ground.D))
!
marker modify  &
   marker_name = .Watts_Linkage.ground.MARKER_61  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Watts_Linkage.ground.O8))
!
geometry modify shape cylinder  &
   cylinder_name = .Watts_Linkage.Cylinder.CSG_17.CSG_15.CYLINDER_13  &
   length = (25.0cm)  &
   radius = (6.0cm)
!
geometry modify shape block  &
   block_name = .Watts_Linkage.Cylinder.CSG_17.CSG_15.BOX_14  &
   diag_corner_coords =   &
      (12.0cm),  &
      (25.0cm),  &
      (6.0cm)
!
geometry modify shape cylinder  &
   cylinder_name = .Watts_Linkage.Cylinder.CSG_17.CYLINDER_16  &
   length = (25.0cm)  &
   radius = (5.0cm)
!
marker modify  &
   marker_name = .Watts_Linkage.Cylinder.MARKER_43  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Watts_Linkage.ground.D))  &
   relative_to = .Watts_Linkage.Cylinder
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
marker modify  &
   marker_name = .Watts_Linkage.Piston.MARKER_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Watts_Linkage.ground.D))  &
   relative_to = .Watts_Linkage.Piston
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
geometry modify shape cylinder  &
   cylinder_name = .Watts_Linkage.Piston.CYLINDER_18  &
   length = (2.0cm)  &
   radius = (5.0cm)
!
marker modify  &
   marker_name = .Watts_Linkage.Piston.MARKER_33  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Watts_Linkage.ground.D))  &
   relative_to = .Watts_Linkage.Piston
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
marker modify  &
   marker_name = .Watts_Linkage.Piston.MARKER_42  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Watts_Linkage.ground.D))  &
   relative_to = .Watts_Linkage.Piston
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
marker modify  &
   marker_name = .Watts_Linkage.Piston.MARKER_44  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Watts_Linkage.ground.D))  &
   relative_to = .Watts_Linkage.Piston
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
part modify rigid_body mass_properties  &
   part_name = .Watts_Linkage.Piston  &
   density = (7.801E+004(kg/meter**3))
!
geometry modify shape block  &
   block_name = .Watts_Linkage.Ground_Support1.BOX_19  &
   diag_corner_coords =   &
      (4.0cm),  &
      (4.0cm),  &
      (4.0cm)
!
geometry modify feature hole  &
   hole_name = .Watts_Linkage.Ground_Support1.BOX_19.HOLE_1  &
   radius = (0.2cm)  &
   depth = (0.5cm)
!
marker modify  &
   marker_name = .Watts_Linkage.Ground_Support1.MARKER_34  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Watts_Linkage.ground.O2))  &
   relative_to = .Watts_Linkage.Ground_Support1
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
geometry modify shape block  &
   block_name = .Watts_Linkage.Ground_Support2.BOX_19  &
   diag_corner_coords =   &
      (4.0cm),  &
      (4.0cm),  &
      (4.0cm)
!
geometry modify feature hole  &
   hole_name = .Watts_Linkage.Ground_Support2.BOX_19.HOLE_1  &
   radius = (0.2cm)  &
   depth = (0.5cm)
!
marker modify  &
   marker_name = .Watts_Linkage.Ground_Support2.MARKER_31  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Watts_Linkage.ground.O4))  &
   relative_to = .Watts_Linkage.Ground_Support2
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
marker modify  &
   marker_name = .Watts_Linkage.Ground_Support2.MARKER_36  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Watts_Linkage.ground.O4))  &
   relative_to = .Watts_Linkage.Ground_Support2
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
marker modify  &
   marker_name = .Watts_Linkage.Piston_Link.MARKER_8  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Watts_Linkage.ground.D))  &
   orientation =   &
      (ORI_ALONG_AXIS(.Watts_Linkage.ground.D, .Watts_Linkage.ground.P, "X"))  &
   relative_to = .Watts_Linkage.Piston_Link
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
marker modify  &
   marker_name = .Watts_Linkage.Piston_Link.MARKER_9  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Watts_Linkage.ground.P))  &
   orientation =   &
      (ORI_ALONG_AXIS(.Watts_Linkage.ground.D, .Watts_Linkage.ground.P, "X"))  &
   relative_to = .Watts_Linkage.Piston_Link
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
geometry modify shape link  &
   link_name = .Watts_Linkage.Piston_Link.LINK_21  &
   width = (2cm)  &
   depth = (0.5cm)
!
marker modify  &
   marker_name = .Watts_Linkage.Piston_Link.MARKER_25  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Watts_Linkage.ground.P))  &
   relative_to = .Watts_Linkage.Piston_Link
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
marker modify  &
   marker_name = .Watts_Linkage.Piston_Link.MARKER_32  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Watts_Linkage.ground.D))  &
   relative_to = .Watts_Linkage.Piston_Link
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
marker modify  &
   marker_name = .Watts_Linkage.Lower_Link.MARKER_10  &
   orientation =   &
      (ORI_ALONG_AXIS(.Watts_Linkage.ground.O2, .Watts_Linkage.ground.A, "X"))  &
   relative_to = .Watts_Linkage.Lower_Link
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
marker modify  &
   marker_name = .Watts_Linkage.Lower_Link.MARKER_11  &
   orientation =   &
      (ORI_ALONG_AXIS(.Watts_Linkage.ground.O2, .Watts_Linkage.ground.A, "X"))  &
   relative_to = .Watts_Linkage.Lower_Link
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
geometry modify shape link  &
   link_name = .Watts_Linkage.Lower_Link.LINK_22  &
   width = (1cm)  &
   depth = (0.5cm)
!
marker modify  &
   marker_name = .Watts_Linkage.Lower_Link.MARKER_20  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Watts_Linkage.ground.O2))  &
   relative_to = .Watts_Linkage.Lower_Link
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
marker modify  &
   marker_name = .Watts_Linkage.Lower_Link.MARKER_23  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Watts_Linkage.ground.A))  &
   relative_to = .Watts_Linkage.Lower_Link
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
marker modify  &
   marker_name = .Watts_Linkage.Middle_Link.MARKER_14  &
   orientation =   &
      (ORI_ALONG_AXIS(.Watts_Linkage.ground.A, .Watts_Linkage.ground.B, "X"))  &
   relative_to = .Watts_Linkage.Middle_Link
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
marker modify  &
   marker_name = .Watts_Linkage.Middle_Link.MARKER_15  &
   orientation =   &
      (ORI_ALONG_AXIS(.Watts_Linkage.ground.A, .Watts_Linkage.ground.B, "X"))  &
   relative_to = .Watts_Linkage.Middle_Link
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
geometry modify shape link  &
   link_name = .Watts_Linkage.Middle_Link.LINK_24  &
   width = (3cm)  &
   depth = (0.5cm)
!
marker modify  &
   marker_name = .Watts_Linkage.Middle_Link.MARKER_22  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Watts_Linkage.ground.A))  &
   relative_to = .Watts_Linkage.Middle_Link
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
marker modify  &
   marker_name = .Watts_Linkage.Middle_Link.MARKER_24  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Watts_Linkage.ground.P))  &
   relative_to = .Watts_Linkage.Middle_Link
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
marker modify  &
   marker_name = .Watts_Linkage.Middle_Link.MARKER_26  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Watts_Linkage.ground.B))  &
   relative_to = .Watts_Linkage.Middle_Link
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
marker modify  &
   marker_name = .Watts_Linkage.Upper_Link.MARKER_16  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Watts_Linkage.ground.B))  &
   orientation =   &
      (ORI_ALONG_AXIS(.Watts_Linkage.ground.B, .Watts_Linkage.ground.C, "X"))  &
   relative_to = .Watts_Linkage.Upper_Link
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
marker modify  &
   marker_name = .Watts_Linkage.Upper_Link.MARKER_17  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Watts_Linkage.ground.C))  &
   orientation =   &
      (ORI_ALONG_AXIS(.Watts_Linkage.ground.B, .Watts_Linkage.ground.C, "X"))  &
   relative_to = .Watts_Linkage.Upper_Link
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
geometry modify shape link  &
   link_name = .Watts_Linkage.Upper_Link.LINK_24  &
   width = (1cm)  &
   depth = (0.5cm)
!
marker modify  &
   marker_name = .Watts_Linkage.Upper_Link.MARKER_27  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Watts_Linkage.ground.B))  &
   relative_to = .Watts_Linkage.Upper_Link
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
marker modify  &
   marker_name = .Watts_Linkage.Upper_Link.MARKER_28  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Watts_Linkage.ground.C))  &
   relative_to = .Watts_Linkage.Upper_Link
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
marker modify  &
   marker_name = .Watts_Linkage.Upper_Link.MARKER_30  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Watts_Linkage.ground.O4))  &
   relative_to = .Watts_Linkage.Upper_Link
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
marker modify  &
   marker_name = .Watts_Linkage.Drive_Link.MARKER_18  &
   orientation =   &
      (ORI_ALONG_AXIS(.Watts_Linkage.ground.C, .Watts_Linkage.ground.E, "X"))  &
   relative_to = .Watts_Linkage.Drive_Link
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
marker modify  &
   marker_name = .Watts_Linkage.Drive_Link.MARKER_19  &
   orientation =   &
      (ORI_ALONG_AXIS(.Watts_Linkage.ground.C, .Watts_Linkage.ground.E, "X"))  &
   relative_to = .Watts_Linkage.Drive_Link
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
geometry modify shape link  &
   link_name = .Watts_Linkage.Drive_Link.LINK_25  &
   width = (1cm)  &
   depth = (0.5cm)
!
marker modify  &
   marker_name = .Watts_Linkage.Drive_Link.MARKER_29  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Watts_Linkage.ground.C))  &
   relative_to = .Watts_Linkage.Drive_Link
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
geometry modify shape force  &
   force_name = .Watts_Linkage.SFORCE_1_force_graphic_1  &
   applied_at_marker_name = (.Watts_Linkage.SFORCE_1.i)
!
marker modify  &
   marker_name = .Watts_Linkage.Gear_Link.MARKER_57  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Watts_Linkage.ground.E))  &
   relative_to = .Watts_Linkage.Gear_Link
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
geometry modify shape link  &
   link_name = .Watts_Linkage.Gear_Link.LINK_27  &
   width = (1cm)  &
   depth = (0.5cm)
!
marker modify  &
   marker_name = .Watts_Linkage.Gear_Link.MARKER_58  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Watts_Linkage.ground.E))  &
   relative_to = .Watts_Linkage.Gear_Link
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
marker modify  &
   marker_name = .Watts_Linkage.Gear_Link.MARKER_60  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Watts_Linkage.ground.O8))  &
   relative_to = .Watts_Linkage.Gear_Link
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
material modify  &
   material_name = .Watts_Linkage.steel  &
   youngs_modulus = (2.07E+011(Newton/meter**2))  &
   density = (7801.0(kg/meter**3))
!
marker modify  &
   marker_name = .Watts_Linkage.Wheel.MARKER_62  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Watts_Linkage.ground.O8))  &
   relative_to = .Watts_Linkage.Wheel
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
marker modify  &
   marker_name = .Watts_Linkage.Driver_2.gear_part.MARKER_59  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Watts_Linkage.ground.E))  &
   relative_to = .Watts_Linkage.Driver_2.gear_part
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
ude modify instance  &
   instance_name = .Watts_Linkage.Driver_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Watts_Linkage.Drive_Link.Driver_2_Ref_2))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, .Watts_Linkage.Drive_Link.Driver_2_Ref_2))
!
marker modify  &
   marker_name = .Watts_Linkage.Driven_2.gear_part.MARKER_63  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Watts_Linkage.ground.O8))  &
   relative_to = .Watts_Linkage.Driven_2.gear_part
!
defaults coordinate_system  &
   default_coordinate_system = .Watts_Linkage.ground
!
ude modify instance  &
   instance_name = .Watts_Linkage.Driven_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, .Watts_Linkage.ground.Driven_2_Ref_2))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, .Watts_Linkage.ground.Driven_2_Ref_2))
!
model display  &
   model_name = Watts_Linkage
